Option Strict On

Imports Microsoft.VisualBasic
Imports System
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq ' !
Imports System.Text
Imports System.Windows.Forms

Namespace WindowsFormsApplication3
	Partial Public Class Form1
        Inherits Form

		Public Sub New()
			InitializeComponent()
		End Sub

		Private zahlen() As Integer = {5, -4, 18, 26, 0, 19, 16, 2, -1, 0, 9, -5, 8, 15, 19 }

		' Query Expression Syntax:
        Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button1.Click
            Dim expr = _
             From z In zahlen _
             Where z > 10 _
             Order By z _
             Select z

            For Each z As Integer In expr
                ListBox1.Items.Add(z.ToString())
            Next z
        End Sub

        ' Extension Method Syntax:
        Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button2.Click
            Dim expr = zahlen. _
                       Where(Function(z) z > 10). _
                       OrderBy(Function(z) z). _
                       Select(Function(z) z)

            For Each z As Integer In expr
                ListBox1.Items.Add(z.ToString())
            Next z
        End Sub

        ' Gemischte Syntax:
        Private Sub button3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button3.Click
            Dim expr = ( _
              From z In zahlen _
              Where z > 10 _
              Select z).OrderBy(Function(z) z)

            For Each z As Integer In expr
                ListBox1.Items.Add(z.ToString())
            Next z

        End Sub

        ' ListBox-Inhalt lschen:
        Private Sub button4_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button4.Click
            ListBox1.Items.Clear()
        End Sub


	End Class
End Namespace
