Imports System.Data.OleDb

Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim connStr As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;"
        Dim conn As New OleDbConnection(connStr)

        Dim cmd As New OleDbCommand("[Umstze nach Jahr]", conn)
        cmd.CommandType = CommandType.StoredProcedure
        ' Die Definition der beiden Parameter und das Hinzufgen zur Parameters-Auflistung des Command-Objekts:   
        Dim parm1 As New OleDbParameter("@Anfangsdatum", OleDbType.DBDate)
        parm1.Direction = ParameterDirection.Input
        parm1.Value = Convert.ToDateTime(TextBox1.Text)
        cmd.Parameters.Add(parm1)

        Dim parm2 As New OleDbParameter("@EndDatum", OleDbType.DBDate)
        parm2.Direction = ParameterDirection.Input
        parm2.Value = Convert.ToDateTime(TextBox2.Text)
        cmd.Parameters.Add(parm2)
        ' Command-Objekt wird dem Konstruktor des DataAdapters bergeben. 
        ' Nach dem ffnen der Connection wird die Abfrage ausgefhrt. Die zurckgegebenen Datenstze werden in einer im DataSet neu angelegten Tabelle mit einem von uns frei bestimmten Namen Jahresumstze gespeichert: 
        Dim da As New OleDbDataAdapter(cmd)
        Dim ds As New DataSet()
        Try
            conn.Open()
            da.Fill(ds, "Jahresumstze")
            conn.Close()
        Catch ex As Exception

            MessageBox.Show(ex.ToString())
        End Try

        'Die(Anzeige)
        DataGridView1.DataSource = ds
        DataGridView1.DataMember = "Jahresumstze"
        ' Wenigstens die Whrungsspalte sollte eine ordentliche Formatierung erhalten (bei den brigen Spalten belassen wir es bei den Standardeinstellungen):
        DataGridView1.Columns.Remove("Zwischensumme")
        Dim tbc As New DataGridViewTextBoxColumn()
        tbc.DataPropertyName = "Zwischensumme"
        tbc.HeaderText = "Zwischensumme"
        tbc.Width = 80
        tbc.DefaultCellStyle.Format = "c"
        tbc.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        tbc.DefaultCellStyle.Font = New Font(DataGridView1.Font, FontStyle.Bold)
        tbc.DisplayIndex = 2
        DataGridView1.Columns.Add(tbc)
    End Sub
End Class
