Public Class Form1

    Dim connStr1 As String = Nothing
    Dim connStr2 As String = Nothing

    Const SQL1 As String = "SELECT ArtikelNr,Artikelname,Liefereinheit,Einzelpreis,Mindestbestand FROM Artikel"
    Const SQL2 As String = "SELECT ProductID,ProductName,QuantityPerUnit,UnitPrice,ReorderLevel FROM Products"

    Dim ds As DataSet = Nothing

    ' Access Datenbank:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        connStr1 = My.Settings.Nordwind    ' aus Konfigurationsdatei
        Dim conn As New System.Data.OleDb.OleDbConnection(connStr1)
        Dim cmd As New System.Data.OleDb.OleDbCommand(SQL1, conn)
        Dim da As New System.Data.OleDb.OleDbDataAdapter(cmd)
        ds = New DataSet()
        conn.Open()
        da.Fill(ds, "ArtikelListe")
        conn.Close()
        DataGridView1.DataSource = ds
        DataGridView1.DataMember = "ArtikelListe"
    End Sub


    ' SQL Server:
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        connStr2 = My.Settings.Northwind  ' aus Konfigurationsdatei
        Dim conn As New System.Data.SqlClient.SqlConnection(connStr2)
        Dim cmd As New System.Data.SqlClient.SqlCommand(SQL2, conn)
        Dim da As New System.Data.SqlClient.SqlDataAdapter(cmd)
        Dim ds As New DataSet()
        conn.Open()
        da.Fill(ds, "ArtikelListe")
        conn.Close()
        DataGridView1.DataSource = ds
        DataGridView1.DataMember = "ArtikelListe"
    End Sub

    ' Datenbankunabhngiger Zugriff mit Providerfabrik: ----------------------------------------
    Private Sub loadData(ByVal providerName As String)
        Dim connStr As String = String.Empty
        Dim sql As String = String.Empty

        Select Case providerName
            Case "System.Data.OleDb"
                connStr = My.Settings.Nordwind  ' aus Konfigurationsdatei
                sql = SQL1
            Case "System.Data.SqlClient"
                connStr = My.Settings.Northwind   ' aus Konfigurationsdatei
                sql = SQL2
            Case Else
                Throw New Exception("Nicht vorhandener oder falscher Datenprovider: " + providerName)
        End Select
        Dim provider = System.Data.Common.DbProviderFactories.GetFactory(providerName)
        Dim conn = provider.CreateConnection()
        conn.ConnectionString = connStr
        Dim cmd = provider.CreateCommand()
        cmd.Connection = conn
        cmd.CommandText = sql
        Dim da = provider.CreateDataAdapter()
        da.SelectCommand = cmd
        Dim ds As New DataSet()
        conn.Open()
        da.Fill(ds, "ArtikelListe")
        conn.Close()
        DataGridView1.DataSource = ds
        DataGridView1.DataMember = "ArtikelListe"
    End Sub

    ' Access-Datenbank:
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        loadData("System.Data.OleDb")
    End Sub

    ' SQL Server:
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        loadData("System.Data.SqlClient")
    End Sub

    ' Alle Connectionstrings anzeigen:
    ' vorher Verweis auf System.Configuration hinzufgen!
    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        For Each cset As System.Configuration.ConnectionStringSettings In System.Configuration.ConfigurationManager.ConnectionStrings
            ListBox1.Items.Add(cset.Name + "   =   " + cset.ConnectionString)
        Next
    End Sub
End Class
