Imports System.Data.OleDb

Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim connStr As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;"
        Dim conn As New OleDbConnection(connStr)
        ' Die Tabelle Kunden wird in das DataSet geladen:
        Dim selStr As String = "SELECT KundenCode, Firma, Kontaktperson, Telefon FROM Kunden"
        Dim da As New OleDbDataAdapter(selStr, conn)
        Dim ds As New DataSet()
        conn.Open()
        da.Fill(ds, "Kunden")
        ' Die Tabelle Bestellungen wird geladen:
        selStr = "SELECT Bestellungen.BestellNr, Bestellungen.KundenCode," & _
                 " Bestellungen.Bestelldatum, Bestellungen.Versanddatum" & _
                 " FROM Kunden, Bestellungen WHERE (Kunden.KundenCode = Bestellungen.KundenCode)"
        da = New OleDbDataAdapter(selStr, conn)
        da.Fill(ds, "Bestellungen")
        conn.Close()
        ' Die DataRelation wird zum DataSet hinzugefgt:
        ds.Relations.Add("KundenBestellungen", ds.Tables("Kunden").Columns("KundenCode"), _
                                            ds.Tables("Bestellungen").Columns("KundenCode"))
        ' Anbinden des DataGrid:
        DataGrid1.SetDataBinding(ds, "Kunden")
    End Sub

End Class
