Imports System.Data.OleDb

Public Class Form1
    Private dv As DataView = Nothing
    Private dt As DataTable = Nothing

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        Dim conn As New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;")
        Dim cmd As New OleDbCommand("SELECT * FROM Kunden", conn)
        Dim da As New OleDbDataAdapter(cmd)
        dt = New DataTable("Kundenliste")
        conn.Open()
        da.Fill(dt)
        conn.Close()
        dv = dt.DefaultView
        ' Die bertragung der Spaltenbezeichner in die ComboBox:
        For Each c As DataColumn In dt.Columns
            ComboBox1.Items.Add(c.ColumnName)
        Next
        ComboBox1.SelectedIndex = 5        ' Spalte "Ort" anzeigen
        TextBox1.Text = "London"          ' Default-Suchbegriff
        ' Die(Anzeige)
        DataGridView1.DataSource = dv

        MyBase.OnLoad(e)
    End Sub

    ' FindRows:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        dv.Sort = ComboBox1.Text          ' vorher muss sortiert werden
        Dim arr() As DataRowView = dv.FindRows(TextBox1.Text)    ' Array wird mit gesuchten Datenstzen gefllt    
        ' Den Array-Inhalt in eine weitere DataTable kopieren, um die Datenstze bequem im DataGridView anzeigen zu knnen1: 
        Dim dt2 As DataTable = dt.Clone()       ' neue leere DataTable erzeugen, 
        ' Schema entspricht der ersten Tabelle 
        For i As Integer = 0 To arr.Length - 1    ' alle Array-Zeilen durchlaufen  
            Dim rw As DataRow = dt2.NewRow()          ' neue Zeile mit Schema der DataTable erzeugen
            For j As Integer = 0 To dt2.Columns.Count - 1  ' alle Array-Spalten durchlaufen
                rw(j) = arr(i)(j)                  ' DataRow-Feld mit Wert der Array-Zelle fllen 

            Next
            dt2.Rows.Add(rw)                 ' DataRow zur DataTable addieren 
        Next
        DataGridView1.DataSource = dt2       ' alle gefundenen Datenstze angezeigen
    End Sub

    ' Find:
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        dv.Sort = ComboBox1.Text
        Dim i As Integer = dv.Find(TextBox1.Text)
        If i < 0 Then
            MessageBox.Show("Keinen Datensatz gefunden!")
        Else
            ' Markieren der ersten gefundenen Zeile: 
            DataGridView1.CurrentCell = DataGridView1.Rows(i).Cells(0)
        End If
    End Sub

    ' Reset:
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        DataGridView1.DataSource = dt
    End Sub
End Class
