Imports System.Data.SqlClient

Public Class Form1
    Private Const CONNSTR As String = "Data Source=.\SQLEXPRESS; Initial Catalog=Northwind; Integrated Security=sspi;"
    Private Const SQL As String = "SELECT * FROM Customers ORDER BY CompanyName"

    ' Hilfsroutine zeigt DataReader in ListBox:
    Private Sub showReader(ByVal dr As IDataReader)
        Dim str As String = String.Empty
        Dim spc As String = "   "
        ListBox1.Items.Clear()
        While dr.Read()
            str = dr("CustomerID") + spc
            str += dr("CompanyName") + spc
            str += dr("ContactName") + spc
            str += dr("ContactTitle") + spc
            str += dr("Address") + spc
            str += dr("City") + spc
            ListBox1.Items.Add(str)
        End While
        dr.Close()
    End Sub

    ' DataTable => DataReader:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim conn As SqlConnection = New SqlConnection(CONNSTR)
        Try
            conn.Open()
            Dim cmd As New SqlCommand(SQL, conn)
            Dim da As New SqlDataAdapter(cmd)
            Dim dt As New DataTable()
            da.Fill(dt)

            ' Die neue Klasse DataTableReader implementiert die IDataReader-Schnittstelle:
            Dim dtr As New DataTableReader(dt)
            showReader(dtr)

        Catch ex As SqlException
            MessageBox.Show(ex.Message)
        Catch ex As InvalidOperationException
            MessageBox.Show(ex.Message)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            conn.Close()
        End Try
    End Sub

    ' DataReader => DataTable:
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim conn As New SqlConnection(CONNSTR)
        Try
            conn.Open()
            Dim cmd As New SqlCommand(SQL, conn)
            Dim dr As SqlDataReader = cmd.ExecuteReader(CommandBehavior.CloseConnection)
            Dim dt As New DataTable()
            'Die neue Methode Load() ermglicht die bernahme eines DataReader:
            dt.Load(dr, LoadOption.OverwriteChanges)
            DataGridView1.DataSource = dt
        Catch ex As SqlException
            MessageBox.Show(ex.Message)
        Catch ex As InvalidOperationException
            MessageBox.Show(ex.Message)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        Finally
            conn.Close()
        End Try
    End Sub
End Class
