Imports System.Data.SqlClient
Imports System.Runtime.Serialization.Formatters.Binary
Imports System.IO

Public Class Form1

    Private Function getConnectionString() As String
        Dim csb As New SqlConnectionStringBuilder()
        ' Computername den Anwendungseinstellungen entnehmen:
        csb.DataSource = My.Settings.Servername
        csb.IntegratedSecurity = True
        csb.InitialCatalog = "Northwind"
        Return csb.ConnectionString
    End Function

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim pfadXml As String = "..\..\Xml.txt"
        Dim pfadBinary As String = "..\..\Binary.txt"
        Dim ds As New DataSet()
        Dim da As New SqlDataAdapter("SELECT * FROM Customers", getConnectionString())
        da.Fill(ds)
        Dim bf As New BinaryFormatter()
        Dim fs As FileStream = Nothing
        If RadioButton1.Checked Then
            File.Delete(pfadXml)
            fs = New FileStream(pfadXml, FileMode.CreateNew)
            ds.RemotingFormat = SerializationFormat.Xml
        Else
            File.Delete(pfadBinary)
            fs = New FileStream(pfadBinary, FileMode.CreateNew)
            ds.RemotingFormat = SerializationFormat.Binary    ' neu in ADO.NET 2.0!
        End If
        bf.Serialize(fs, ds)     ' jetzt wird serialisiert
        If (RadioButton1.Checked) Then
            MessageBox.Show("Datei " + pfadXml + " wurde erfolgreich erzeugt!")
        Else
            MessageBox.Show("Datei " + pfadBinary + " wurde erfolgreich erzeugt!")
        End If
        fs.Close()     ' Stream schlieen
    End Sub
End Class
