﻿Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim ds1 As New DataSet1()

        With ds1.Kunden
            .AddKundenRow("Klaus", "Müller", Convert.ToDateTime("3.4.1975"))
            .AddKundenRow("Tobalt", "Tonne", Convert.ToDateTime("5.8.1984"))
        End With
        With ds1.Bestellungen
            ds1.Bestellungen.AddBestellungenRow(Convert.ToDateTime("20.2.2008"), 256.5D, ds1.Kunden(0), "per Nachname")
            ds1.Bestellungen.AddBestellungenRow(Convert.ToDateTime("8.3.2008"), 12.95D, ds1.Kunden(0), "per Scheck")
            ds1.Bestellungen.AddBestellungenRow(Convert.ToDateTime("19.7.2008"), 524.15D, ds1.Kunden(1), "per Überweisung")
        End With

        Dim query = From kunden In ds1.Kunden, bestellungen In kunden.GetBestellungenRows() _
            Select New With _
           {.Kunde = kunden.Vorname & " " & kunden.Nachname, .Bestelldatum = bestellungen.Datum, _
            .Betrag = bestellungen.Betrag, .Bemerkung = bestellungen.Bemerkung}

        DataGridView1.DataSource = query.ToList()
    End Sub
End Class
