Public Class Form1

    Private rw As DataRow = Nothing

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        Dim dt As New DataTable()
        dt.Columns.Add("Firma", Type.GetType("System.String"))
        AddHandler dt.ColumnChanged, New DataColumnChangeEventHandler(AddressOf OnColumnChanged)

        ' Die Tabelle hat nur eine einzige Spalte (Firma) mit einer einzigen Zeile:
        rw = dt.NewRow()
        rw(0) = "Mllers Schnapsladen"
        dt.Rows.Add(rw)

        MyBase.OnLoad(e)
    End Sub

    ' wenn sich ein Wert in der DataTable gendert hat:
    Private Sub OnColumnChanged(ByVal sender As Object, ByVal args As DataColumnChangeEventArgs)
        If args.Column.ColumnName = "Firma" Then         ' wenn sich ein Wert in der Firma-Spalte gendert hat
            ' wenn Leerstring, dann Fehlermeldung:
            If args.ProposedValue.ToString = String.Empty Then
                ListBox1.Items.Add("Name der Firma muss angegeben werden.  Abbruch.")
                args.Row.CancelEdit()                   ' ursprnglichen Wert wieder herstellen
            End If
        End If
    End Sub

    ' Eintrag eines Wertes in die Firma-Spalte:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        rw.BeginEdit()
        rw("Firma") = TextBox1.Text    ' lst OnColumnChanged-Event aus
        rw.EndEdit()
        ListBox1.Items.Add(rw("Firma").ToString & "  " & rw.RowState.ToString)
    End Sub
End Class
