Imports System.Data.OleDb

Public Class Form1
    Private ds As New DataSet()
    Private connStr As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Firma.mdb;"
    Private sql As String = "SELECT * FROM Kunden"

    Private conn As OleDbConnection
    Private da As New OleDbDataAdapter()


    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        conn = New OleDbConnection(connStr)
        Dim cb As New OleDbCommandBuilder(da)  ' automatisches Generieren der UPDATE-Anweisung
        da.SelectCommand = New OleDbCommand(sql, conn)  ' SQL-Abfrage zuweisen
        conn.Open()
        da.Fill(ds, "Kunden")      ' Ausfhren der SQL-Abfrage (Anlegen und Fllen der Tabelle "Kunden" im DataSet) 
        conn.Close()
        Dim dt As DataTable = ds.Tables("Kunden")
        BindingSource1.DataSource = dt

        ' Anbinden der Eingabemaske an DataTable:
        Label1.DataBindings.Add("Text", BindingSource1, "Nr")  ' Label wird angeklemmt
        TextBox1.DataBindings.Add("Text", BindingSource1, "Name")
        TextBox2.DataBindings.Add("Text", BindingSource1, "Strae")
        TextBox3.DataBindings.Add("Text", BindingSource1, "Ort")



        MyBase.OnLoad(e)
    End Sub

    ' Select-Methode anwenden:
    Private Sub Button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button8.Click
        ListBox1.Items.Clear()

        Dim dt As DataTable = ds.Tables("Kunden")
        Dim cRows() As DataRow = dt.Select(Nothing, Nothing, DataViewRowState.CurrentRows)   ' !!!

        If cRows.Length < 1 Then
            ListBox1.Items.Add("Keine aktuellen Zeilen gefunden!")
        Else
            ListBox1.Items.Add("  Nr   Name    RowState")
            ListBox1.Items.Add(" - - - - - - - - - - - - - - - - - - - - - - ")

            For Each rw As DataRow In cRows
                Dim rState As String = System.Enum.GetName(rw.RowState.GetType(), rw.RowState)
                ListBox1.Items.Add(rw("Nr").ToString & "  " & rw("Name").ToString & "   " & rState)
            Next
        End If
    End Sub
    '|<
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        BindingSource1.MoveFirst()
    End Sub

    ' <
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        BindingSource1.MovePrevious()
    End Sub

    ' >
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        BindingSource1.MoveNext()
    End Sub

    ' >|
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        BindingSource1.MoveLast()
    End Sub

    ' Neu
    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        BindingSource1.AddNew()
    End Sub

    ' Lschen
    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        BindingSource1.RemoveCurrent()
    End Sub

    ' Update
    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        BindingSource1.EndEdit()
        da.Update(ds, "Kunden")
    End Sub

    ' Beenden
    Private Sub Button9_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button9.Click
        Me.Close()
    End Sub
End Class
