Public Class Form1
    Private _firma As New CFirma()
    Private Const PFAD As String = "Bestellungen.dat"

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        Try
            _firma = CType(CPersistent.loadObject(PFAD), CFirma)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        BSKunden.DataSource = _firma.Kunden

        TextBox1.DataBindings.Add(New Binding("Text", BSKunden, "Vorname", True))
        TextBox2.DataBindings.Add(New Binding("Text", BSKunden, "Nachname", True))
        TextBox3.DataBindings.Add(New Binding("Text", BSKunden, "Adresse", True))
        CheckBox1.DataBindings.Add(New Binding("Checked", BSKunden, "Stammkunde", True))

        DataGridView1.DataSource = BSBestellungen
        MyBase.OnLoad(e)
    End Sub

    Private Sub BSKunden_CurrentChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BSKunden.CurrentChanged
        Dim kunde As CKunde = CType(BSKunden.Current, CKunde)
        BSBestellungen.DataSource = kunde.Bestellungen
        TextBox4.DataBindings.Clear()
        TextBox4.DataBindings.Add("Text", BSBestellungen, "Datum", True)
        TextBox5.DataBindings.Clear()
        TextBox5.DataBindings.Add("Text", BSBestellungen, "Netto", True)
        TextBox6.DataBindings.Clear()
        TextBox6.DataBindings.Add("Text", BSBestellungen, "Bemerkung", True)
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As Object, _
                      ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        Try
            CPersistent.saveObject(_firma, PFAD)
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        MyBase.OnClosing(e)
    End Sub
End Class
