Imports System.Data.OleDb

Public Class Form1
    Private dv As DataView = Nothing

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        fillListControl(ListBox1)
        'fillListControl(ComboBox1)

        MyBase.OnLoad(e)
    End Sub

    Private Sub fillListControl(ByVal lc As ListControl)
        Dim conn As New OleDbConnection( _
                                "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;")
        Dim da As New OleDbDataAdapter("SELECT * FROM Artikel ORDER BY Artikelname", conn)
        Dim dt As New DataTable("ArtikelListe")
        da.Fill(dt)
        dv = dt.DefaultView                    ' DataView erzeugen und Standardansicht zuweisen 
        dv.RowFilter = "Einzelpreis < 25"       ' Filterkriterium festlegen
        lc.DataSource = dv                      ' ListControl anbinden
        lc.ValueMember = "ArtikelNr"           ' Schlsselspalte
        lc.DisplayMember = "Artikelname"       ' Anzeigespalte
        ' Ereignisbehandlung(anmelden)
        AddHandler lc.SelectedValueChanged, New System.EventHandler(AddressOf listControl_SelectedIndexChanged)
    End Sub

    Private Sub listControl_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)
        Dim lc As ListControl = CType(sender, ListControl)
        Label1.Text = dv(lc.SelectedIndex).Row(0).ToString
        Label2.Text = dv(lc.SelectedIndex).Row("Artikelname").ToString
        Label3.Text = dv(lc.SelectedIndex).Row("Liefereinheit").ToString
        Dim ep As Decimal = Convert.ToDecimal(dv(lc.SelectedIndex).Row("Einzelpreis"))
        Label4.Text = ep.ToString("c")
        Label5.Text = dv(lc.SelectedIndex).Row("Lagerbestand").ToString
    End Sub
End Class
