Imports System.Data.Oledb

Public Class Form1
    Private conn As New OleDbConnection( _
                                       "Provider=Microsoft.Jet.OLEDB.4.0; Data Source = Nordwind.mdb;")
    Dim da As OleDbDataAdapter = Nothing
    Private dt As DataTable = Nothing
    Private dv As DataView = Nothing
    Private drv As DataRowView = Nothing

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        da = New OleDbDataAdapter("SELECT KundenCode, Firma, Kontaktperson, Funktion, Ort " & _
                                   "FROM Kunden ORDER BY KundenCode", conn)
        Dim cb As New OleDbCommandBuilder(da)

        dt = New DataTable("Kunden")
        conn.Open()
        da.Fill(dt)
        conn.Close()
        Dim bs As New BindingSource()
        dv = New DataView(dt)
        bs.DataSource = dv
        DataGridView1.DataSource = bs
        MyBase.OnLoad(e)
    End Sub

    ' Bearbeiten
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        drv = dv(DataGridView1.CurrentRow.Index)
        Dim f2 As New Form2()
        f2.editKunde(drv)
        f2.Dispose()
    End Sub

    ' Neu
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        drv = dv.AddNew()
        Dim f2 As New Form2()
        f2.editKunde(drv)
        f2.Dispose()
    End Sub

    ' Speichern
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim dt1 As DataTable = dt.GetChanges()               ' genderte Datenstze ermitteln
        If dt1 IsNot Nothing Then
            Try
                conn.Open()
                Dim m As Integer = da.Update(dt1)              ' Datenbank-Update ausfhren
                Dim s As String = "Anzahl der nderungen: " + m.ToString
                MessageBox.Show(s, "Speichern war erfolgreich!", MessageBoxButtons.OK, _
                                                              MessageBoxIcon.Information)
                dt.AcceptChanges()
            Catch ex As Exception
                MessageBox.Show(ex.Message, "Speichern fehlgeschlagen!", MessageBoxButtons.OK, _
                                                          MessageBoxIcon.Information)
                dt.RejectChanges()
            End Try
            conn.Close()
        End If
    End Sub


    ' Lschen
    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        If dv.Count > 0 Then
            Dim msg As String = "Wollen Sie den Kunden " & _
                      dv(DataGridView1.CurrentRow.Index)("KundenCode").ToString & " wirklich lschen?"
            Dim cpt As String = "Kunde lschen"
            If (MessageBox.Show(msg, cpt, MessageBoxButtons.YesNo, MessageBoxIcon.Question) = _
                                                                                   Windows.Forms.DialogResult.Yes) Then
                dv(DataGridView1.CurrentRow.Index).Delete()
            Else
                MessageBox.Show("Kein Kunde zum Lschen!", "", MessageBoxButtons.OK, _
                                                                                  MessageBoxIcon.Error)
            End If
        End If
    End Sub
End Class
