Public Class Form2

    ' Die Editiermethode erhlt als Parameter die aktuelle Zeile:
    Public Sub editKunde(ByVal drv As DataRowView)

        ' Die folgende Abfrage entscheidet, ob es sich um einen gerade neu hinzugefgten Datensatz oder aber um einen bereits vorhandenen handelt:
        If drv.Row.RowState = DataRowState.Detached Then      ' wenn neuer Datensatz hinzugefgt wird
            ' irgendwelche Standardwerte werden in die Maske geschrieben:
            TextBox1.Text = "DODAT"
            TextBox2.Text = "DataBook"
            TextBox3.Text = "Walter"
            TextBox4.Text = "Crazy Boss"
            TextBox5.Text = "Altenburg"

        Else                    ' wenn vorhandener Datensatz gendert wird
            'Anzeige der im bergebenen DataRowView-Objekt enthaltenen Werte:
            TextBox1.Text = drv("KundenCode").ToString
            TextBox2.Text = drv("Firma").ToString
            TextBox3.Text = drv("Kontaktperson").ToString
            TextBox4.Text = drv("Funktion").ToString
            TextBox5.Text = drv("Ort").ToString
        End If
        ' Formular soll modal aufgerufen werden:
        If Me.ShowDialog() = Windows.Forms.DialogResult.OK Then         ' "OK"
            drv.BeginEdit()
            drv("KundenCode") = TextBox1.Text
            drv("Firma") = TextBox2.Text
            drv("Kontaktperson") = TextBox3.Text
            drv("Funktion") = TextBox4.Text
            drv("Ort") = TextBox5.Text
            drv.EndEdit()
        Else                                                ' "Abbrechen"
            drv.CancelEdit()
        End If
    End Sub

    ' OK
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        DialogResult = Windows.Forms.DialogResult.OK
    End Sub

    ' Abbrechen
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        DialogResult = Windows.Forms.DialogResult.Cancel
    End Sub
End Class