Option Strict Off
Imports System.Data.OleDb      ' fr OleDb-Provider 
Imports System.IO              ' fr Dateioperationen

Module Module1

    Sub Main()
        Dim connStr As String = "Provider=SQLOLEDB;Data Source=.\SQLEXPRESS;Initial Catalog=Northwind;Trusted_Connection=Yes;"
        Dim conn As New OleDbConnection(connStr)
        conn.Open()
        Dim sqlStr As String = "UPDATE Employees SET Photo = ? WHERE EmployeeID = ?"
        Dim cmd As New OleDbCommand(sqlStr, conn)
        cmd.Parameters.Add("@Photo", OleDbType.LongVarBinary, Integer.MaxValue - 1)
        cmd.Parameters.Add("@EmployeeID", OleDbType.Integer)

        Dim fs As FileStream   ' fr Zugriff auf Bilddatei
        Dim arr() As Byte          ' Byte-Array zum Zwischenspeichern einer Bilddatei
        Dim pfad As String         ' Pfad der Bilddateien 
        For i As Integer = 1 To 9             ' UPDATE nacheinander fr 9 Employees ausfhren
            pfad = "EmpID" & i & ".jpg"             ' Bilddateien sind im Anwendungsverzeichnis
            fs = New FileStream(pfad, FileMode.Open)              ' Bilddatei ffnen
            arr = Array.CreateInstance(GetType(System.Byte), fs.Length)  ' Byte-Array passender Lnge erzeugen
            fs.Read(arr, 0, fs.Length)          ' Dateiinhalt in Byte-Array laden
            cmd.Parameters("@Photo").Value = arr        ' dem ersten Parameter das Byte-Array zuweisen 
            cmd.Parameters("@EmployeeID").Value = i     ' dem zweiten Parameter die ID zuweisen
            cmd.ExecuteNonQuery()                       ' UPDATE ausfhren
        Next
        conn.Close()
    End Sub

End Module
