Imports System.Data
Imports System.Data.Common
Imports System.Globalization

Public Class CData
    Public Shared Function getAusgaben(ByVal d1 As String, ByVal d2 As String) As DataTable
        ' SQL-gerechte Datumstrings zusammenbauen: 
        Dim dat1 As DateTime = Convert.ToDateTime(d1)
        d1 = "#" & dat1.ToString("d", New CultureInfo("en-US")) & "#"
        Dim dat2 As DateTime = Convert.ToDateTime(d2)
        d2 = "#" & dat2.ToString("d", New CultureInfo("en-US")) & "#"
        ' providerunabhngiger Code fr den Lesezugriff:
        Dim provider As DbProviderFactory = DbProviderFactories.GetFactory("System.Data.OleDb")
        Dim conn As DbConnection = provider.CreateConnection()
        ' Verbindungszeichenfolge aus Konfigurationsdatei holen:
        conn.ConnectionString = My.Settings.TestDB
        Dim cmd As DbCommand = provider.CreateCommand()
        cmd.Connection = conn
        cmd.CommandText = "SELECT * FROM Ausgaben WHERE DATUM BETWEEN " & d1 & _
                          " AND " & d2 & " ORDER BY Datum"
        Dim da As DbDataAdapter = provider.CreateDataAdapter()
        da.SelectCommand = cmd
        ' wichtig fr das clientseitige Mergen beim Einfgen neuer Datenstze:
        da.MissingSchemaAction = MissingSchemaAction.AddWithKey

        Dim dt As New DataTable()
        conn.Open()
        da.Fill(dt)
        conn.Close()
        Return dt
    End Function

    Public Shared Sub setAusgaben(ByRef dt As DataTable)

        ' Providerunabhngiger Code fr den Schreibzugriff:
        Dim provider As DbProviderFactory = DbProviderFactories.GetFactory("System.Data.OleDb")
        Dim conn As DbConnection = provider.CreateConnection()
        conn.ConnectionString = My.Settings.TestDB
        Dim cmd As DbCommand = provider.CreateCommand()
        cmd.Connection = conn
        cmd.CommandText = "SELECT * FROM Ausgaben"
        Dim da As DbDataAdapter = provider.CreateDataAdapter()
        da.SelectCommand = cmd
        ' CommandBuilder erstellt im Hintergrund automatisch die weiteren Command-Objekte:
        Dim cb As DbCommandBuilder = provider.CreateCommandBuilder()
        cb.DataAdapter = da
        conn.Open()
        da.Update(dt)
        conn.Close()
    End Sub

End Class
