﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="Beispiel_MouseOverEffekt.aspx.vb" Inherits="MouseOverEffekt" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Unbenannte Seite</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <span style="font-size: 16pt; font-family: Arial">Einen Mouse-Over-Effekt realisieren<br />
        </span>
        <br />
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataKeyNames="KundenCode"
            DataSourceID="SqlDataSource1" EmptyDataText="Es sind keine Datensätze zum Anzeigen vorhanden."
            OnDataBound="GridView1_DataBound" OnRowDataBound="GridView1_RowDataBound" Style="background-color: ghostwhite">
            <Columns>
                <asp:BoundField DataField="KundenCode" HeaderText="KundenCode" ReadOnly="True" SortExpression="KundenCode" />
                <asp:BoundField DataField="Firma" HeaderText="Firma" SortExpression="Firma" />
                <asp:BoundField DataField="Kontaktperson" HeaderText="Kontaktperson" SortExpression="Kontaktperson" />
                <asp:BoundField DataField="Funktion" HeaderText="Funktion" SortExpression="Funktion" />
                <asp:BoundField DataField="Strasse" HeaderText="Strasse" SortExpression="Strasse" />
                <asp:BoundField DataField="Ort" HeaderText="Ort" SortExpression="Ort" />
                <asp:BoundField DataField="Region" HeaderText="Region" SortExpression="Region" />
                <asp:BoundField DataField="PLZ" HeaderText="PLZ" SortExpression="PLZ" />
                <asp:BoundField DataField="Land" HeaderText="Land" SortExpression="Land" />
                <asp:BoundField DataField="Telefon" HeaderText="Telefon" SortExpression="Telefon" />
                <asp:BoundField DataField="Telefax" HeaderText="Telefax" SortExpression="Telefax" />
            </Columns>
        </asp:GridView>
        <br />
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:mySQLServer %>"
            DeleteCommand="DELETE FROM [Kunden] WHERE [KundenCode] = @KundenCode" InsertCommand="INSERT INTO [Kunden] ([KundenCode], [Firma], [Kontaktperson], [Funktion], [Strasse], [Ort], [Region], [PLZ], [Land], [Telefon], [Telefax]) VALUES (@KundenCode, @Firma, @Kontaktperson, @Funktion, @Strasse, @Ort, @Region, @PLZ, @Land, @Telefon, @Telefax)"
            ProviderName="<%$ ConnectionStrings:mySQLServer.ProviderName %>" SelectCommand="SELECT [KundenCode], [Firma], [Kontaktperson], [Funktion], [Strasse], [Ort], [Region], [PLZ], [Land], [Telefon], [Telefax] FROM [Kunden]"
            UpdateCommand="UPDATE [Kunden] SET [Firma] = @Firma, [Kontaktperson] = @Kontaktperson, [Funktion] = @Funktion, [Strasse] = @Strasse, [Ort] = @Ort, [Region] = @Region, [PLZ] = @PLZ, [Land] = @Land, [Telefon] = @Telefon, [Telefax] = @Telefax WHERE [KundenCode] = @KundenCode">
            <InsertParameters>
                <asp:Parameter Name="KundenCode" Type="String" />
                <asp:Parameter Name="Firma" Type="String" />
                <asp:Parameter Name="Kontaktperson" Type="String" />
                <asp:Parameter Name="Funktion" Type="String" />
                <asp:Parameter Name="Strasse" Type="String" />
                <asp:Parameter Name="Ort" Type="String" />
                <asp:Parameter Name="Region" Type="String" />
                <asp:Parameter Name="PLZ" Type="String" />
                <asp:Parameter Name="Land" Type="String" />
                <asp:Parameter Name="Telefon" Type="String" />
                <asp:Parameter Name="Telefax" Type="String" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="Firma" Type="String" />
                <asp:Parameter Name="Kontaktperson" Type="String" />
                <asp:Parameter Name="Funktion" Type="String" />
                <asp:Parameter Name="Strasse" Type="String" />
                <asp:Parameter Name="Ort" Type="String" />
                <asp:Parameter Name="Region" Type="String" />
                <asp:Parameter Name="PLZ" Type="String" />
                <asp:Parameter Name="Land" Type="String" />
                <asp:Parameter Name="Telefon" Type="String" />
                <asp:Parameter Name="Telefax" Type="String" />
                <asp:Parameter Name="KundenCode" Type="String" />
            </UpdateParameters>
            <DeleteParameters>
                <asp:Parameter Name="KundenCode" Type="String" />
            </DeleteParameters>
        </asp:SqlDataSource>
    
    </div>
    </form>
</body>
</html>
