﻿Public Class CVerkauf
    Private _verkäufer As String
    Private _produkt As String
    Private _preis As Single
    Private _datum As DateTime

    Public Sub New(ByVal verk As String, ByVal prod As String, ByVal prs As Single, ByVal dat As DateTime)
        _verkäufer = verk
        _produkt = prod
        _preis = prs
        _datum = dat
    End Sub

    Public Property Verkäufer() As String
        Get
            Return _verkäufer
        End Get
        Set(ByVal value As String)
            _verkäufer = value
        End Set
    End Property

    Public Property Produkt() As String
        Get
            Return _produkt
        End Get
        Set(ByVal value As String)
            _produkt = value
        End Set
    End Property

    Public Property Preis() As Single
        Get
            Return _preis
        End Get
        Set(ByVal value As Single)
            _preis = value
        End Set
    End Property

    Public Property Datum() As DateTime
        Get
            Return _datum
        End Get
        Set(ByVal value As DateTime)
            _datum = value
        End Set
    End Property
End Class

Public Class CVerkäufe

    Private _verkäufe As List(Of CVerkauf)

    Public Sub New()
        _verkäufe = New List(Of CVerkauf)()
        _verkäufe.Add(New CVerkauf("Tobalt", "BMW", 10000, New DateTime(2005, 10, 6)))
        _verkäufe.Add(New CVerkauf("Maxhelm", "Mercedes", 12000, New DateTime(2005, 10, 8)))
        _verkäufe.Add(New CVerkauf("Maxhelm", "Opel", 4000, New DateTime(2005, 10, 10)))
        _verkäufe.Add(New CVerkauf("Siegbast", "Opel", 6000, New DateTime(2005, 10, 18)))
        _verkäufe.Add(New CVerkauf("Tobalt", "Mercedes", 16000, New DateTime(2005, 10, 20)))
        _verkäufe.Add(New CVerkauf("Siegbast", "Opel", 2000, New DateTime(2005, 10, 28)))
        _verkäufe.Add(New CVerkauf("Siegbast", "BMW", 9000, New DateTime(2005, 11, 1)))
        _verkäufe.Add(New CVerkauf("Maxhelm", "BMW", 11000, New DateTime(2005, 11, 2)))
        _verkäufe.Add(New CVerkauf("Tobalt", "BMW", 18000, New DateTime(2005, 11, 9)))
        _verkäufe.Add(New CVerkauf("Tobalt", "Opel", 5000, New DateTime(2005, 11, 12)))
        _verkäufe.Add(New CVerkauf("Siegbast", "Mercedes", 14000, New DateTime(2005, 11, 15)))
        _verkäufe.Add(New CVerkauf("Tobalt", "Mercedes", 20000, New DateTime(2005, 11, 21)))
        _verkäufe.Add(New CVerkauf("Maxhelm", "Mercedes", 26000, New DateTime(2005, 11, 28)))
    End Sub

    Public Function GetVerkäufe() As List(Of CVerkauf)
        Return _verkäufe
    End Function

    ' Wichtig: Bevor der Typ CVerkauf als Objekt-Datenquelle hinzugefügt werden kann,
    ' muss das Menü "Erstellen|Projektmappe erstellen" ausgeführt werden!

End Class
