Imports CrystalDecisions.Shared
Imports System.Drawing.Printing
Imports CrystalDecisions.CrystalReports.Engine

Public Class Form1
    Private myDS As DatenDataSet = New DatenDataSet()
    Private myDS1 As Daten2 = New Daten2()

    Public db As New DataClasses1DataContext()


    Private Sub splitContainer1_Panel2_Paint(ByVal sender As System.Object, ByVal e As System.Windows.Forms.PaintEventArgs) Handles splitContainer1.Panel2.Paint

    End Sub

    Private Sub button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button1.Click
        Dim rp As Beispiel_Gruppieren = New Beispiel_Gruppieren()
        Dim taArtikel As DatenDataSetTableAdapters.ArtikelTableAdapter = New DatenDataSetTableAdapters.ArtikelTableAdapter()
        Dim taKategorien As DatenDataSetTableAdapters.KategorienTableAdapter = New DatenDataSetTableAdapters.KategorienTableAdapter()
        taArtikel.Fill(myDS.Artikel)
        taKategorien.Fill(myDS.Kategorien)
        rp.SetDataSource(myDS)
        CrystalReportViewer1.ReportSource = rp
    End Sub

    Private Sub button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button2.Click
        Dim rp As Beispiel_Gruppieren_2 = New Beispiel_Gruppieren_2()
        Dim taArtikel As DatenDataSetTableAdapters.ArtikelTableAdapter = New DatenDataSetTableAdapters.ArtikelTableAdapter()
        Dim taKategorien As DatenDataSetTableAdapters.KategorienTableAdapter = New DatenDataSetTableAdapters.KategorienTableAdapter()
        taArtikel.Fill(myDS.Artikel)
        taKategorien.Fill(myDS.Kategorien)
        rp.SetDataSource(myDS)
        CrystalReportViewer1.ReportSource = rp
    End Sub

    Private Sub button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button3.Click
        Dim rp As Beispiel_Parameterfeld = New Beispiel_Parameterfeld()
        Dim taArtikel As DatenDataSetTableAdapters.ArtikelTableAdapter = New DatenDataSetTableAdapters.ArtikelTableAdapter()
        Dim taKategorien As DatenDataSetTableAdapters.KategorienTableAdapter = New DatenDataSetTableAdapters.KategorienTableAdapter()
        taArtikel.Fill(myDS.Artikel)
        taKategorien.Fill(myDS.Kategorien)
        rp.SetDataSource(myDS)
        CrystalReportViewer1.ReportSource = rp
    End Sub


    Private Sub button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button4.Click
        Dim rp As Beispiel_Parameterfeld = New Beispiel_Parameterfeld()
        Dim taArtikel As DatenDataSetTableAdapters.ArtikelTableAdapter = New DatenDataSetTableAdapters.ArtikelTableAdapter()
        Dim taKategorien As DatenDataSetTableAdapters.KategorienTableAdapter = New DatenDataSetTableAdapters.KategorienTableAdapter()
        taArtikel.Fill(myDS.Artikel)
        taKategorien.Fill(myDS.Kategorien)
        rp.SetDataSource(myDS)
        Dim f2 As Form2 = New Form2()
        f2.ShowDialog()
        rp.ParameterFields("Anfangsbuchstabe").CurrentValues.AddValue(f2.textBox1.Text)
        CrystalReportViewer1.ReportSource = rp
    End Sub

    Private Sub button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button5.Click
        Dim rp As Beispiel_Berechnung = New Beispiel_Berechnung()
        Dim taBestellungen As DatenDataSetTableAdapters.BestellungenTableAdapter = New DatenDataSetTableAdapters.BestellungenTableAdapter()
        Dim taArtikel As DatenDataSetTableAdapters.ArtikelTableAdapter = New DatenDataSetTableAdapters.ArtikelTableAdapter()
        Dim taBestelldetails As DatenDataSetTableAdapters.BestelldetailsTableAdapter = New DatenDataSetTableAdapters.BestelldetailsTableAdapter()
        taArtikel.Fill(myDS.Artikel)
        taBestelldetails.Fill(myDS.Bestelldetails)
        taBestellungen.Fill(myDS.Bestellungen)
        rp.SetDataSource(myDS)
        CrystalReportViewer1.ReportSource = rp
    End Sub

    Private Sub SetDatabase(ByVal rp As ReportClass, ByVal path As String)
        For Each myTable As CrystalDecisions.CrystalReports.Engine.Table In rp.Database.Tables
            Dim logOnInfo As New TableLogOnInfo()
            logOnInfo = DirectCast(myTable.LogOnInfo.Clone(), TableLogOnInfo)
            logOnInfo.ConnectionInfo.ServerName = path
            myTable.ApplyLogOnInfo(logOnInfo)
        Next
    End Sub

    Private Sub button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button6.Click
        Dim rp As Beispiel_Kreuztabelle = New Beispiel_Kreuztabelle()
        SetDatabase(rp, Application.StartupPath & "\Daten.mdb")
        CrystalReportViewer1.ReportSource = rp
    End Sub

    Private Sub button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button7.Click
        Dim rp As New Beispiel_Unterbericht()
        SetDatabase(rp, Application.StartupPath & "\Daten.mdb")
        CrystalReportViewer1.ReportSource = rp
    End Sub

    Private Sub button8_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button8.Click
        Dim rp As New Beispiel_Kreuztabelle()
        SetDatabase(rp, Application.StartupPath & "\Daten.mdb")
        rp.PrintToPrinter(0, True, 0, 0)
    End Sub

    Private Sub button9_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button9.Click
        Dim rep As CrystalReport1 = New CrystalReport1()
        SetDatabase(rep, Application.StartupPath & "\Daten.mdb")
        Dim ps As PrinterSettings = New PrinterSettings()
        ps.PrinterName = rep.PrintOptions.PrinterName
        printDialog1.PrinterSettings = ps
        If printDialog1.ShowDialog() = Windows.Forms.DialogResult.OK Then
            rep.PrintOptions.PrinterName = printDialog1.PrinterSettings.PrinterName
            rep.PrintToPrinter(0, True, 0, 0)
        End If
    End Sub

    Private Sub button10_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button10.Click
        Dim rep As CrystalReport1 = New CrystalReport1()
        SetDatabase(rep, Application.StartupPath & "\Daten.mdb")
        Dim Options As DiskFileDestinationOptions = New DiskFileDestinationOptions()
        Options.DiskFileName = "c:\test.rtf"
        rep.ExportOptions.ExportFormatType = ExportFormatType.RichText
        rep.ExportOptions.ExportDestinationType = ExportDestinationType.DiskFile
        rep.ExportOptions.DestinationOptions = Options
        rep.Export()
    End Sub

    Private Sub button12_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles button12.Click
        Dim f As Rechnungsdruck = New Rechnungsdruck()
        f.ShowDialog()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    End Sub

    Private Sub CrystalReportViewer1_ReportRefresh(ByVal source As System.Object, ByVal e As CrystalDecisions.Windows.Forms.ViewerEventArgs) Handles CrystalReportViewer1.ReportRefresh
    End Sub

    Private Sub Button11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button11.Click
        Dim rp As New CrystalReport2()
        rp.SetDataSource(db.Products.Take(5).CopyToDataTable())
        CrystalReportViewer1.ReportSource = rp
    End Sub
End Class
