Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms


Imports System.Reflection
Imports dao = Microsoft.Office.Interop.Access.Dao

Partial Public Class Form1
    Inherits Form

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button1.Click
        Dim catalog As New ADOX.Catalog()
        catalog.Create("Provider=Microsoft.ACE.OLEDB.12.0;Data Source=c:\Acc2007Test.accdb")
    End Sub

    Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button2.Click
        Dim db As dao.Database
        Dim td As dao.TableDef
        Dim fld As dao.Field
        Dim dbEn As New dao.DBEngine()


        db = dbEn.OpenDatabase("c:\Acc2007Test.accdb", Nothing, False)
        td = db.CreateTableDef("tblNurAnfuegen")

        fld = td.CreateField("Id", dao.DataTypeEnum.dbLong)
        td.Fields.Append(fld)

        fld = td.CreateField("Bemerkung", dao.DataTypeEnum.dbMemo)
        td.Fields.Append(fld)
        db.TableDefs.Append(td)
        fld.Properties("AppendOnly").Value = True
    End Sub

    Private Sub button3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button3.Click
        Dim db As dao.Database
        Dim td As dao.TableDef
        Dim fld As dao.Field
        Dim dbEn As New dao.DBEngine()

        db = dbEn.OpenDatabase("c:\Acc2007Test.accdb", Nothing, False)
        td = db.CreateTableDef("tblAnlage")
        fld = td.CreateField("Id", dao.DataTypeEnum.dbLong)
        td.Fields.Append(fld)
        fld = td.CreateField("Anhang", dao.DataTypeEnum.dbAttachment)
        td.Fields.Append(fld)
        db.TableDefs.Append(td)
    End Sub

    Private Sub button4_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button4.Click
        Dim db As dao.Database
        Dim rs As dao.Recordset
        Dim rsAnl As dao.Recordset2

        If OpenFileDialog1.ShowDialog() = System.Windows.Forms.DialogResult.OK Then
            Dim dbEn As New dao.DBEngine()
            db = dbEn.OpenDatabase("c:\Acc2007Test.accdb", Nothing, False)
            rs = db.OpenRecordset("tblAnlage")
            rs.AddNew()
            rsAnl = (TryCast(rs.Fields("Anhang").Value, dao.Recordset2))
            rsAnl.AddNew()
            TryCast(rsAnl.Fields("FileData"), dao.Field2).LoadFromFile(OpenFileDialog1.FileName)
            rsAnl.Update(1, False)
            rs.Update(1, False)
        End If
    End Sub

    Private Sub button6_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button6.Click
        Dim db As dao.Database
        Dim rs As dao.Recordset

        Dim dbEn As New dao.DBEngine()
        db = dbEn.OpenDatabase("c:\Acc2007Test.accdb", Nothing, False)
        rs = db.OpenRecordset("tblNurAnfuegen")
        rs.AddNew()
        rs.Fields("Bemerkung").Value = "Mein erster Text"
        rs.Update(1, False)
        rs.MoveFirst()
        rs.Edit()
        rs.Fields("Bemerkung").Value = "Mein zweiter Text"
        rs.Update(1, False)
        rs.Edit()
        rs.Fields("Bemerkung").Value = "Mein dritter Text"
        rs.Update(1, False)
    End Sub

    Private Sub button5_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button5.Click
        Dim db As dao.Database
        Dim rs As dao.Recordset
        Dim rsAnl As dao.Recordset2

        Dim dbEn As New dao.DBEngine()
        db = dbEn.OpenDatabase("c:\Acc2007Test.accdb", Nothing, False)
        rs = db.OpenRecordset("tblAnlage")

        rsAnl = (TryCast(rs.Fields("Anhang").Value, dao.Recordset2))
        ListBox1.Items.Clear()
        Do While Not rsAnl.EOF
            ListBox1.Items.Add(rsAnl.Fields("FileName").Value)
            ListBox1.Items.Add(rsAnl.Fields("FileType").Value)
            ListBox1.Items.Add(rsAnl.Fields("FileData").Value)
            rsAnl.MoveNext()
        Loop

    End Sub

    Private Sub button7_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button7.Click
        Dim db As dao.Database
        Dim td As dao.TableDef
        Dim fld As dao.Field
        Dim dbEn As New dao.DBEngine()
        Dim prop As dao.Property


        db = dbEn.OpenDatabase("c:\Acc2007Test.accdb", Nothing, False)
        td = db.CreateTableDef("tblRTF")

        fld = td.CreateField("Id", dao.DataTypeEnum.dbLong)
        td.Fields.Append(fld)

        fld = td.CreateField("Bemerkung", dao.DataTypeEnum.dbMemo)
        td.Fields.Append(fld)
        db.TableDefs.Append(td)
        prop = fld.CreateProperty("TextFormat", 2, 1)
        fld.Properties.Append(prop)
    End Sub
End Class
