Public Class Form1

    ' Variante 1:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim connStr As String = "Data Source=.\SQLEXPRESS;Initial Catalog=Northwind;Integrated Security=True"
        Dim conn As New System.Data.SqlClient.SqlConnection(connStr)
        connect(conn)
    End Sub

    ' Variante 2:
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim connStr As String = My.Settings.NorthwindConn
        Dim conn As New System.Data.SqlClient.SqlConnection(connStr)
        connect(conn)
    End Sub

    ' Variante 3:
    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim connStr As String = "Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\\Northwind.mdf;Integrated Security=True;User Instance=True"
        Dim conn As New System.Data.SqlClient.SqlConnection(connStr)
        connect(conn)
    End Sub

    ' Verbindung zum Sql Server herstellen:
    Private Sub connect(ByVal conn As System.Data.SqlClient.SqlConnection)
        Dim CrLf As String = Environment.NewLine      ' fr Zeilenumbruch
        DataGridView1.DataSource = Nothing
        Try
            conn.Open()
            MessageBox.Show("DataSource: " & conn.DataSource & CrLf & "Server Version: " & conn.ServerVersion & CrLf & _
                                "TimeOut(sek): " & conn.ConnectionTimeout.ToString() + CrLf & _
                                "Database: " & conn.Database, _
                                "Die Verbindung wurde erfolgreich hergestellt !")

        Catch ex As Exception
            MessageBox.Show(ex.Message)

        Finally
            conn.Close()
        End Try

        ' Kontrollanzeige:
        Dim da As New System.Data.SqlClient.SqlDataAdapter("SELECT * FROM Employees", conn)
        Dim dt As New DataTable()
        da.Fill(dt)
        DataGridView1.DataSource = dt
    End Sub
End Class
