Imports System.Data.SqlClient

Public Class Form1

    ' Mit SQL Server verbinden:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim connStr As String = "Data Source=.\SQLEXPRESS; Initial Catalog=Northwind; Integrated Security=True"
        Dim conn As New SqlConnection(connStr)
        Dim cmd As New SqlCommand("Sales by Year", conn)
        cmd.CommandType = CommandType.StoredProcedure

        ' Definition der beiden Parameter und das Hinzufgen zur Parameters-Auflistung des Command-Objekts:
        Dim parm1 As New SqlParameter("@Beginning_Date", SqlDbType.DateTime)
        parm1.Direction = ParameterDirection.Input
        parm1.Value = Convert.ToDateTime(TextBox1.Text)
        cmd.Parameters.Add(parm1)

        Dim parm2 As New SqlParameter("@Ending_Date", SqlDbType.DateTime)
        parm2.Direction = ParameterDirection.Input
        parm2.Value = Convert.ToDateTime(TextBox2.Text)
        cmd.Parameters.Add(parm2)
        ' Command-Objekt wird dem Konstruktor des DataAdapters bergeben. Nach dem ffnen der Connection wird die Stored Procedure ausgefhrt. Die zurckgegebenen Datenstze werden in einer im DataSet neu angelegten Tabelle mit einem von uns frei bestimmten Namen SalesByDate gespeichert: 
        Dim da As New SqlDataAdapter(cmd)
        Dim ds As New DataSet()
        conn.Open()
        da.Fill(ds, "SalesByDate")
        conn.Close()
        ' Nach dem Schlieen des Connection-Objekts erfolgt die Anzeige des Tabelleninhalts im DataGridView:
        DataGridView1.DataSource = ds
        DataGridView1.DataMember = "SalesByDate"
    End Sub

    ' Subtotal-Spalte formatieren
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        DataGridView1.Columns.Remove("Subtotal")
        Dim tbc As New DataGridViewTextBoxColumn()
        tbc.DataPropertyName = "Subtotal"
        tbc.HeaderText = "Subtotal"
        tbc.Width = 80
        tbc.DefaultCellStyle.Format = "c"
        tbc.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        tbc.DisplayIndex = 2
        DataGridView1.Columns.Add(tbc)
    End Sub
End Class
