Imports Microsoft.SqlServer.Management.Common
Imports Microsoft.SqlServer.Management.Smo
Imports System.Data.SqlClient

Public Class Form1

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        ListBox1.Items.Clear()
        Dim dt As DataTable = SmoApplication.EnumAvailableSqlServers(False)
        For Each dr As DataRow In dt.Rows
            ListBox1.Items.Add(dr("Server").ToString())
        Next
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        ListBox1.Items.Clear()
        Dim serv As New Server(TextBox1.Text)
        For Each db As Database In serv.Databases
            If db.IsSystemObject Then
                ListBox1.Items.Add("(System) " + db.Name)
            Else
                ListBox1.Items.Add(db.Name + "---------------------")
                Try
                    For Each t As Table In db.Tables
                        ListBox1.Items.Add("    " + t.Name)
                    Next
                Catch generatedExceptionName As Exception
                End Try
            End If
        Next
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim serv As New Server(TextBox1.Text)
        Dim db As New Database(serv, "BuchBeispiel")
        db.Create()
        Dim tb As Table = New Table(db, "ErsteTabelle")
        Dim col As Column = New Column(tb, "Id")
        col.DataType = DataType.Int
        col.Nullable = False
        col.Identity = True
        col.IdentitySeed = 1
        col.IdentityIncrement = 1
        tb.Columns.Add(col)
        col = New Column(tb, "Nachname")
        col.DataType = DataType.VarChar(50)
        col.Nullable = False
        tb.Columns.Add(col)
        Dim idx As Index = New Index(tb, "PK_ErsteTabelle")
        idx.IndexKeyType = IndexKeyType.DriPrimaryKey
        idx.IndexedColumns.Add(New IndexedColumn(idx, "Id"))
        tb.Indexes.Add(idx)
        tb.Create()
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
    End Sub
End Class
