Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text
Imports System.Data.Linq
Imports System.Data.Linq.Mapping


Partial Public Class TestDataContext
    Public Sub KillTeacherById(ByVal Id As Integer)
        Me.ExecuteCommand("DELETE FROM student WHERE teacherid = {0}", Id)
        Me.ExecuteCommand("DELETE FROM teacher WHERE id = {0}", Id)
    End Sub

    Private Sub DeleteTeacher(ByVal instance As Teacher)
        If instance.Geburtstag < Convert.ToDateTime("31.12.1980") Then
            Me.ExecuteDynamicDelete(instance)
        Else
            Throw New Exception("Zu alt fr eine Kndigung")
        End If
    End Sub

End Class

Partial Public Class Teacher
    Private Sub OnGeburtstagChanging(ByVal value As DateTime)
        If value >= DateTime.Now Then
            Throw New Exception("das Geburtsdatum kann ja wohl nicht stimmen ...")
        End If
    End Sub

    Private Sub OnNachnameChanging(ByVal value As String)
        If value Is Nothing Then
            Throw New Exception("Geben Sie einen Nachnamen ein!")
        End If
    End Sub

    Private Sub OnValidate(ByVal action As ChangeAction)
        If Me.Nachname = Me.Vorname Then
            Throw New Exception("Vorname = Nachname ????")
        End If
    End Sub
End Class

Partial Public Class Student
    Private Sub OnCreated()
        Me._Teacher = Nothing
        Me.Nachname = "Mustermann"
        Me.Vorname = "Max"
        Me.Geburtstag = DateTime.Now
    End Sub

    Public Sub New(ByVal nachname As String, ByVal vorname As String, ByVal geb As DateTime)
        OnCreated()
        Me._Teacher = Nothing
        Me.Nachname = nachname
        Me.Vorname = vorname
        Me.Geburtstag = geb
    End Sub

    Public ReadOnly Property Name() As String
        Get
            Return Me._Vorname & " "c + Me.Nachname
        End Get
    End Property

End Class

Public Class person
    Private _Id As Integer

    Public Property Id() As Integer
        Get
            Return _Id
        End Get
        Set(ByVal value As Integer)
            _Id = value
        End Set
    End Property
    Private _Vorname As String

    Public Property Vorname() As String
        Get
            Return _Vorname
        End Get
        Set(ByVal value As String)
            _Vorname = value
        End Set
    End Property
    Private _Nachname As String

    Public Property Nachname() As String
        Get
            Return _Nachname
        End Get
        Set(ByVal value As String)
            _Nachname = value
        End Set
    End Property

    Public Sub New(ByVal nachname As String, ByVal vorname As String, ByVal id As Integer)
        Me._Id = id
        Me._Nachname = nachname
        Me._Vorname = vorname
    End Sub
End Class

