﻿<%@ Control Language="VB" AutoEventWireup="true" CodeFile="Shop.ascx.vb" Inherits="Shop" %>
    <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" 
        CellPadding="2" DataSourceID="LinqDataSource1" ForeColor="Black" 
        GridLines="None" AllowPaging="True" DataKeyNames="Id" 
        onrowcommand="GridView1_RowCommand" Width="100%" 
        BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" 
    BorderStyle="None" PageSize="5">
        <Columns>
            <asp:BoundField DataField="Titel" HeaderText="Titel" SortExpression="Titel">
                <HeaderStyle HorizontalAlign="Left" Width="200px" />
            </asp:BoundField>
            <asp:BoundField DataField="Beschreibung" HeaderText="Beschreibung" 
                SortExpression="Beschreibung">
                <HeaderStyle HorizontalAlign="Left" Width="300px" />
            </asp:BoundField>
            <asp:BoundField DataField="Brutto" DataFormatString="{0:c}" HeaderText="Brutto" 
                HtmlEncode="False" SortExpression="Brutto">
                <HeaderStyle HorizontalAlign="Right" />
            </asp:BoundField>
            <asp:ButtonField ButtonType="Button" CommandName="Details" Text="Details" />
            <asp:ButtonField ButtonType="Button" CommandName="Kaufen" Text="Kaufen" />
        </Columns>
        <FooterStyle BackColor="Tan" />
        <PagerStyle BackColor="PaleGoldenrod" ForeColor="DarkSlateBlue" 
            HorizontalAlign="Center" />
        <EmptyDataTemplate>
            <asp:Label ID="Label1" runat="server" Font-Bold="True" Font-Size="X-Large" 
                ForeColor="Red" Text="Leider keine Artikel in dieser Kategorie!"></asp:Label>
        </EmptyDataTemplate>
        <SelectedRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
        <HeaderStyle BackColor="Tan" Font-Bold="True" />
        <AlternatingRowStyle BackColor="PaleGoldenrod" />
    </asp:GridView>
    
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="dbShopDataContext" TableName="BruttoPreise" 
            Where="ArtikelGruppenId == @ArtikelGruppenId" 
    onselecting="LinqDataSource1_Selecting">
            <WhereParameters>
                <asp:SessionParameter DefaultValue="-1" Name="ArtikelGruppenId" 
                    SessionField="Artikelgruppe" Type="Int32" />
            </WhereParameters>
        </asp:LinqDataSource>
    
            <br />

<asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" 
    CellPadding="2" DataSourceID="LinqDataSource2" ForeColor="Black" 
    GridLines="None" Height="50px" Width="701px" 
    BackColor="LightGoldenrodYellow" BorderColor="Tan" BorderWidth="1px" 
    BorderStyle="None" HeaderText="Details:">
    <FooterStyle BackColor="Tan" />
    <PagerStyle BackColor="PaleGoldenrod" ForeColor="DarkSlateBlue" 
        HorizontalAlign="Center" />
    <Fields>
        <asp:BoundField DataField="Id" HeaderText="Id" SortExpression="Id" />
        <asp:BoundField DataField="Titel" HeaderText="Titel" SortExpression="Titel" />
        <asp:BoundField DataField="Beschreibung" HeaderText="Beschreibung" 
            SortExpression="Beschreibung">
            <HeaderStyle VerticalAlign="Top" />
            <ItemStyle Height="100px" VerticalAlign="Top" />
        </asp:BoundField>
        <asp:BoundField DataField="Brutto" DataFormatString="{0:c}" HeaderText="Brutto" 
            HtmlEncode="False" SortExpression="Brutto" />
        <asp:BoundField DataField="Steuersatz" DataFormatString="{0:F1} %" 
            HeaderText="Steuersatz" SortExpression="Steuersatz">
            <HeaderStyle Width="100px" />
        </asp:BoundField>
    </Fields>
    <HeaderStyle BackColor="Tan" Font-Bold="True" />
    <EditRowStyle BackColor="DarkSlateBlue" ForeColor="GhostWhite" />
    <AlternatingRowStyle BackColor="PaleGoldenrod" />
</asp:DetailsView>
    
        <asp:LinqDataSource ID="LinqDataSource2" runat="server" 
            ContextTypeName="dbShopDataContext" TableName="BruttoPreise" 
            Where="Id == @Id1">
            <WhereParameters>
                <asp:SessionParameter DefaultValue="-1" Name="Id1" SessionField="ArtikelId" 
                    Type="Int32" />
            </WhereParameters>
        </asp:LinqDataSource>