﻿Public Class Form1
    ' Instanz des Datenkontexts erzeugen:
    Private dbnw As New NWDataContext()

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        ' Customers-Collection direkt dem Datengitter zuweisen:
        DataGridView1.DataSource = dbnw.Customers
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        '  Abfrage mit LINQ to SQL: 
        Dim Customers = From cust In dbnw.Customers _
        Where cust.City = "London" _
        Order By cust.CompanyName _
        Select cust.CustomerID, cust.CompanyName, cust.Address, cust.City

        DataGridView1.DataSource = Customers
    End Sub
End Class
