
Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms

Imports System.Collections ' wegen ArrayList!

Namespace WindowsFormsApplication1
	Partial Public Class Form1
        Inherits Form

		Public Class CAuto
			Public Typ As String
			Public Baujahr As Integer
			Public Preis As Decimal
		End Class

		Private autoListe As New ArrayList(5)

		Public Sub New()
			InitializeComponent()
            ' Erzeugen der Objekte (mittels Objektinitialisierer!) und Hinzufgen zur ArrayList:
            With autoListe
                .Add(New CAuto With {.Typ = "Ford", .Baujahr = 2005, .Preis = 12000D})
                .Add(New CAuto With {.Typ = "Opel", .Baujahr = 2007, .Preis = 17500D})
                .Add(New CAuto With {.Typ = "Mazda", .Baujahr = 2006, .Preis = 9600D})
                .Add(New CAuto With {.Typ = "Opel", .Baujahr = 2005, .Preis = 7200D})
                .Add(New CAuto With {.Typ = "Ford", .Baujahr = 2008, .Preis = 21700D})
            End With

            'Dim abfrage = _
            '  From auto In autoListe _
            '  Where auto.Preis > 10000 _
            '  Select New With {auto.Typ, auto.Preis, auto.Baujahr}
        End Sub

		' Variante mit Cast-Operator:
        Private Sub button1_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button1.Click
            Dim Abfrage = _
             From auto In autoListe.Cast(Of CAuto)() _
             Where auto.Preis > 10000 _
             Select New With {auto.Typ, auto.Preis, auto.Baujahr}
            DataGridView1.DataSource = Abfrage.ToList()
        End Sub

        ' Variante mit Typisierung:
        Private Sub button2_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button2.Click
            Dim Abfrage = _
             From auto As CAuto In autoListe _
             Where auto.Preis > 10000 _
             Select New With {auto.Typ, auto.Preis, auto.Baujahr}
            DataGridView1.DataSource = Abfrage.ToList()
        End Sub

        ' Variante mit OfType:
        Private Sub button3_Click(ByVal sender As Object, ByVal e As EventArgs) Handles Button3.Click
            Dim Abfrage = _
             From auto In autoListe.OfType(Of CAuto)() _
             Where auto.Preis > 10000 _
             Select New With {auto.Typ, auto.Preis, auto.Baujahr}
            DataGridView1.DataSource = Abfrage.ToList()
        End Sub


        ' Lschen
        Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
            DataGridView1.DataSource = Nothing
        End Sub
    End Class
End Namespace
