﻿Imports System.Data.SqlClient

Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim connStr As String = "Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|\Northwind.mdf;" & _
                                                        "Integrated Security=True;User Instance=True"
        Dim connection As New SqlConnection(connStr)
        Dim command As SqlCommand = connection.CreateCommand()
        command.CommandText = "SELECT CompanyName, Country FROM Customers  WHERE City = @City"     ' SQL-Abfrage als String
        command.Parameters.AddWithValue("@City", "London")           ' lose gebundene Parameter
        connection.Open()
        Dim reader As SqlDataReader = command.ExecuteReader()
        While reader.Read()
            Dim name As String = reader.GetString(0)             ' lose typisierte Spalten
            Dim land As String = reader.GetString(1)
            ListBox1.Items.Add(name & "  " & land)
        End While
        reader.Close()
        connection.Close()
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim DB As New MyDataContext()
        Dim customers = From cust In DB.Customers _
        Where cust.City = "London" _
        Select cust.CompanyName, cust.Country
        For Each cust In customers
            ListBox1.Items.Add(cust.CompanyName & " " & cust.Country)
        Next
    End Sub
End Class
