Imports System.Data.OleDb

Public Class Form1
    Private conn As New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=Nordwind.mdb;")
    Private da As OleDbDataAdapter = Nothing
    Private ds As DataSet = Nothing

    Public Function getArtikel() As DataSet
        ' SelectCommand fr DataAdapter erstellen (geschieht automatisch beim Instanziieren):
        Dim selStr As String = _
        "SELECT ArtikelNr, Artikelname, Einzelpreis, Mindestbestand FROM Artikel ORDER BY Artikelname"
        da = New OleDbDataAdapter(selStr, conn)
        ' Neu hinzugefgte Datenstze erhalten sofort einen Primrschlssel:
        da.MissingSchemaAction = MissingSchemaAction.AddWithKey
        conn.Open()
        Dim ds As New DataSet()
        da.Fill(ds, "Artikel")
        conn.Close()
        Return ds
    End Function

    ' ------------------------------ gendert -----------------------------------

    Public Sub setArtikel(ByRef ds As DataSet)
        Dim cb As New OleDbCommandBuilder(da)     ' !!!
        conn.Open()
        da.Update(ds, "Artikel")
        conn.Close()
    End Sub

    ' ------------------------------------------------------------------------------

    ' Anzeigen:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        DataGridView1.DataSource = Nothing
        ds = getArtikel()
        DataGridView1.DataSource = ds        ' DataGridView mit DataSet verbinden
        DataGridView1.DataMember = "Artikel"
        formatDataGridView(DataGridView1)
    End Sub


    ' Aktualisieren:
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim ds1 As DataSet = ds.GetChanges()
        If ds1 IsNot Nothing Then
            Try
                setArtikel(ds1)
                ' Die per Referenz zurckgegebenen Datenstze werden mit dem Original-DataSet zusammengefhrt:
                ds.Merge(ds1)
                ds.AcceptChanges()
                MessageBox.Show("Datenbank wurde aktualisiert!", "Erfolg")
            Catch ex As Exception
                ds.RejectChanges()
                MessageBox.Show(ex.Message, "Fehler")
            End Try
        End If
    End Sub

    Private Sub formatDataGridView(ByVal dgv As DataGridView)
        ' Einzelpreis formatieren:
        dgv.Columns.Remove("Einzelpreis")
        Dim tbc As New DataGridViewTextBoxColumn()
        tbc.DataPropertyName = "Einzelpreis"
        tbc.HeaderText = "Einzelpreis"
        tbc.Width = 80
        tbc.DefaultCellStyle.Format = "c"
        tbc.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
        tbc.DefaultCellStyle.Font = New Font(DataGridView1.Font, FontStyle.Bold)
        tbc.DisplayIndex = 2
        dgv.Columns.Add(tbc)
    End Sub

End Class
