Imports System.Data.OleDb
Imports System.Data.SqlClient

Public Class Form1

    Private Const CONNSTR_SRC As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb"
    Private Const CONNSTR_DEST As String = "Data Source=.\SQLEXPRESS; Initial Catalog=Northwind; Integrated Security=True"

    Private Const SQL_SRC As String = "SELECT ArtikelNr, Artikelname, Liefereinheit, Einzelpreis, Mindestbestand FROM Artikel"
    Private Const TBL_DEST As String = "Artikel"

    ' Start:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click

        ' Verbindung zur Quelle:
        Dim connSrc As New OleDbConnection(CONNSTR_SRC)
        connSrc.Open()

        ' Verbindung zum Ziel:
        Dim connDest As New SqlConnection(CONNSTR_DEST)
        connDest.Open()

        ' Quelldaten bereitstellen:
        Dim cmdSrc As New OleDbCommand(SQL_SRC, connSrc)
        Dim reader As OleDbDataReader = cmdSrc.ExecuteReader()

        ' Daten zum SQL Server kopieren:
        Dim blkCop As New SqlBulkCopy(connDest)
        blkCop.DestinationTableName = TBL_DEST
        blkCop.WriteToServer(reader)

        ' Beenden:
        reader.Close()
        connSrc.Close()

        ' Daten zur Kontrolle anzeigen:
        Dim cmd As New System.Data.SqlClient.SqlCommand("SELECT * FROM Artikel", connDest)
        Dim da As New System.Data.SqlClient.SqlDataAdapter(cmd)
        Dim ds As New DataSet()
        da.Fill(ds, "ArtikelListe")
        connDest.Close()
        DataGridView1.DataSource = ds
        DataGridView1.DataMember = "ArtikelListe"
        connDest.Close()
    End Sub
End Class
