Imports System.Data.OleDb

Public Class Form1
    Private dv As DataView = Nothing

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        Dim conn As New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;")
        Dim cmd As New OleDbCommand("SELECT * FROM Kunden", conn)
        Dim da As New OleDbDataAdapter(cmd)
        Dim dt As New DataTable("Kundenliste")
        conn.Open()
        da.Fill(dt)
        conn.Close()
        dv = New DataView(dt)           ' oder dv = dt.DefaultView;
        ' Die bertragung der Spaltenbezeichner in die ComboBox:
        For Each c As DataColumn In dt.Columns
            ComboBox1.Items.Add(c.ColumnName)
        Next
        ' Standardanzeige(einstellen)
        ComboBox1.SelectedIndex = 1         ' Spalte "Firma" 
        TextBox1.Text = "L"                     ' Default-Suchbegriff
        DataGridView1.DataSource = dv
        MyBase.OnLoad(e)
    End Sub

    Private Sub TextBox1_KeyUp(ByVal sender As System.Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles TextBox1.KeyUp
        If e.KeyCode = Keys.Enter Then
            dv.Sort = ComboBox1.Text
            dv.RowFilter = dv.Sort + " LIKE '" + TextBox1.Text + "%'"
        End If
    End Sub
End Class
