Option Explicit On
Option Strict On

Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim ds As New DataSet()
        Label1.Text = String.Empty
        Label2.Text = String.Empty
        Dim start As New DateTime()

        ds.Tables.Add("Test")
        ds.Tables(0).Columns.Add("Nr", Type.GetType("System.Int32"))
        ds.Tables(0).Columns("Nr").Unique = True              ' eindeutiger Schlssel
        ds.Tables(0).Columns.Add("Wert", Type.GetType("System.String"))

        Dim n As Integer = Int32.Parse(TextBox1.Text)  ' Anzahl Iterationen
        Me.Cursor = Cursors.WaitCursor
        start = DateTime.Now        ' Startzeit
        Dim rnd As New Random()   ' Zufallszahlengenerator erzeugen

        ' Hinzufgen von n Zeilen zur DataTable im DataSet: 
        For i As Integer = 1 To n - 1
            Try
                Dim z As Integer = rnd.Next()    ' neue Zufallszahl
                Dim dr As DataRow = ds.Tables(0).NewRow()
                dr("Nr") = z
                dr("Wert") = z.ToString()
                ds.Tables(0).Rows.Add(dr)
            Catch     ' Fehler bei doppeltem "Nr"-Wert
            End Try
        Next

        Me.Cursor = Me.DefaultCursor   ' Mauszeiger zurcksetzen

        Dim ts As New TimeSpan(DateTime.Now.Ticks - start.Ticks) ' Zeitdauer in Sekunden ermitteln

        ' Ergebnisanzeige:
        Label1.Text = ds.Tables("Test").Rows.Count.ToString()   ' tatschliche Anzahl der Zeilen anzeigen
        Label2.Text = ts.TotalSeconds.ToString()

    End Sub
End Class
