Imports System.Data.OleDb

Public Class Form1

    Private ds As DataSet = Nothing

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        Dim connStr As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;"
        Dim conn As New OleDbConnection(connStr)

        Dim selStr As String = "SELECT KundenCode, Firma, Kontaktperson, Telefon FROM Kunden"
        Dim da As New OleDbDataAdapter(selStr, conn)
        ds = New DataSet()
        da.Fill(ds, "Kunden")

        selStr = "SELECT Bestellungen.BestellNr, Bestellungen.KundenCode, Bestellungen.Bestelldatum, Bestellungen.Versanddatum " & _
                 "FROM Bestellungen" ' WHERE (Kunden.KundenCode = Bestellungen.KundenCode)"
        da = New OleDbDataAdapter(selStr, conn)
        Try
            da.Fill(ds, "Bestellungen")
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        selStr = "SELECT Bestelldetails.BestellNr, Bestelldetails.ArtikelNr, Bestelldetails.Anzahl " & _
                 "FROM Bestelldetails"  ', Artikel WHERE (Bestellungen.BestellNr = Bestelldetails.BestellNr) AND (Artikel.ArtikelNr = Bestelldetails.ArtikelNr)";
        da = New OleDbDataAdapter(selStr, conn)
        da.Fill(ds, "Bestelldetails")

        selStr = "SELECT Artikel.ArtikelNr, Artikel.Artikelname FROM Artikel"
        da = New OleDbDataAdapter(selStr, conn)
        da.Fill(ds, "Artikel")
        MyBase.OnLoad(e)
    End Sub

    ' Start
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim relKuBest As DataRelation = ds.Relations.Add("KundenBestellungen", _
          ds.Tables("Kunden").Columns("KundenCode"), ds.Tables("Bestellungen").Columns("KundenCode"))
        'In der folgenden Deklaration hat CreateConstraints-Flag den Wert False! 
        Dim relBestDet As DataRelation = ds.Relations.Add("BestellDetail", _
                                                 ds.Tables("Bestellungen").Columns("BestellNr"), _
                                                 ds.Tables("Bestelldetails").Columns("BestellNr"), False)

        Dim relBestArt As DataRelation = ds.Relations.Add("BestellungArtikel", _
                                                 ds.Tables("Artikel").Columns("ArtikelNr"), _
                                                 ds.Tables("Bestelldetails").Columns("ArtikelNr"))
        For Each kuRow As DataRow In ds.Tables("Kunden").Rows
            ListBox1.Items.Add("Kunden Code:" & kuRow("KundenCode").ToString)
            ListBox1.Items.Add(" ------------------------------")
            For Each bestRow As DataRow In kuRow.GetChildRows(relKuBest)
                With ListBox1.Items
                    .Add("  ")
                    .Add("Bestell Nr: " & bestRow("BestellNr").ToString)
                    .Add("Bestelldatum: " & bestRow("Bestelldatum").ToString)
                    For Each detRow As DataRow In bestRow.GetChildRows(relBestDet)
                        .Add("Artikel: " & detRow.GetParentRow(relBestArt)("Artikelname").ToString)
                        .Add("Anzahl: " & detRow("Anzahl").ToString)
                    Next
                End With
            Next
        Next
    End Sub
End Class
