Imports System.Data.OleDb

Public Class Form1
   
    Private conn As OleDbConnection = Nothing
    Private daBest As OleDbDataAdapter = Nothing
    Private daPers As OleDbDataAdapter = Nothing
    Private ds As DataSet = Nothing

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        Dim connStr As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;"
        Dim selStrBest As String = "SELECT BestellNr, KundenCode, PersonalNr, Bestelldatum, " & _
                                    "Empfaenger, Frachtkosten FROM Bestellungen ORDER BY Bestelldatum"
        Dim selStrPers As String = "SELECT PersonalNr, Nachname, Vorname, Funktion FROM Personal " & _
                                    "ORDER BY Nachname"
        conn = New OleDbConnection(connStr)
        daBest = New OleDbDataAdapter(selStrBest, conn)
        Dim cb As New OleDbCommandBuilder(daBest)
        daPers = New OleDbDataAdapter(selStrPers, conn)
        ds = New DataSet()
        conn.Open()
        ' Ausfhren der SELECT-Abfragen (Anlegen und Fllen der Tabellen):
        daBest.Fill(ds, "Bestellungen")
        daPers.Fill(ds, "Personal")
        conn.Close()
        ' Anbinden der Hauptmaske an die Mastertabelle: 
        BindingSourceBest.DataSource = ds.Tables("Bestellungen")
        Label1.DataBindings.Add("Text", BindingSourceBest, "BestellNr")
        TextBox1.DataBindings.Add("Text", BindingSourceBest, "KundenCode")
        TextBox2.DataBindings.Add("Text", BindingSourceBest, "Bestelldatum")
        TextBox3.DataBindings.Add("Text", BindingSourceBest, "Empfaenger")
        TextBox4.DataBindings.Add("Text", BindingSourceBest, "Frachtkosten")
        ' Anbinden der Detaildaten an die ComboBox: 
        BindingSourcePers.DataSource = ds.Tables("Personal")
        With ComboBox1
            .DataSource = BindingSourcePers
            .DisplayMember = "Nachname"
            .ValueMember = "PersonalNr"
            ' Verbinden der ComboBox mit der Mastertabelle:
            .DataBindings.Add("SelectedValue", BindingSourceBest, "PersonalNr")
        End With
        ' Weitere Detaildaten anzeigen:
        Label7.DataBindings.Add("Text", BindingSourcePers, "Vorname")
        Label8.DataBindings.Add("Text", BindingSourcePers, "PersonalNr")
        Label9.DataBindings.Add("Text", BindingSourcePers, "Funktion")

        MyBase.OnLoad(e)
    End Sub

    ' Speichern
    Private Sub ToolStripButton1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton1.Click
        BindingSourceBest.EndEdit()
        Try
            ' genderte Masterdaten vom DataSet in die Datenbank bertragen:
            daBest.Update(ds, "Bestellungen")
        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
    End Sub

    ' Abbrechen
    Private Sub ToolStripButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ToolStripButton2.Click
        BindingSourceBest.CancelEdit()
    End Sub
   

    ' Beenden
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Me.Close()
    End Sub
   
End Class
