Imports System.Data.OleDb

Public Class Form1

    Private Sub formatColumn(ByVal dgv As DataGridView)
        If dgv.Columns("Zwischensumme") IsNot Nothing Then
            'Die standardmig vorhandene Spalte entfernen:
            dgv.Columns.Remove("Zwischensumme")
            ' neue Spalte erzeugen und an die gewnschte Eigenschaft binden:
            Dim tbc As New DataGridViewTextBoxColumn()
            tbc.DataPropertyName = "Zwischensumme"
            ' Die(Spaltenberschrift)
            tbc.HeaderText = "Zwischensumme"
            ' Die Spaltenbreite (in Pixeln):
            tbc.Width = 80
            ' Das Whrungsformat (entsprechend den Systemeinstellungen):
            tbc.DefaultCellStyle.Format = "c"
            ' Rechtsbndige(Textausrichtung)
            tbc.DefaultCellStyle.Alignment = DataGridViewContentAlignment.MiddleRight
            ' Fettschrift:
            tbc.DefaultCellStyle.Font = New Font(DataGridView1.Font, FontStyle.Bold)
            ' Die Spalte soll an dritter Position erscheinen:
            tbc.DisplayIndex = 2
            ' Die fertige Spalte wird zum DataGridView hinzugefgt:
            dgv.Columns.Add(tbc)
        End If
    End Sub

    ' Mit Nordwind.mdb verbinden:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim connStr As String = "Provider=Microsoft.Jet.OLEDB.4.0; Data Source=Nordwind.mdb;"
        Dim conn As New OleDbConnection(connStr)
        Dim cmd As New OleDbCommand("[Umstze nach Jahr]", conn)         ' in [ ] einschlieen!!!
        cmd.CommandType = CommandType.StoredProcedure
        Dim parm1 As New OleDbParameter("@Anfangsdatum", OleDbType.DBDate)     ' !
        parm1.Direction = ParameterDirection.Input
        parm1.Value = Convert.ToDateTime(TextBox1.Text)
        cmd.Parameters.Add(parm1)
        Dim parm2 As New OleDbParameter("@EndDatum", OleDbType.DBDate)
        parm2.Direction = ParameterDirection.Input
        parm2.Value = Convert.ToDateTime(TextBox2.Text)
        cmd.Parameters.Add(parm2)
        Dim da As New OleDbDataAdapter(cmd)
        Dim ds As New DataSet()
        Try
            conn.Open()
            da.Fill(ds, "Jahresumstze")
            conn.Close()
        Catch ex As Exception
            MessageBox.Show(ex.ToString())
        End Try
        DataGridView1.DataSource = ds
        DataGridView1.DataMember = "Jahresumstze"
    End Sub

    ' Formatieren
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        formatColumn(DataGridView1)

        ' alternierende Zeilenfarbe:
        DataGridView1.RowsDefaultCellStyle.BackColor = Color.Bisque
        DataGridView1.AlternatingRowsDefaultCellStyle.BackColor = Color.Beige
    End Sub
End Class
