﻿<%@ Page Language="VB" AutoEventWireup="true" CodeFile="Beispiel_ListView.aspx.vb" Inherits="Beispiel_ListView" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Unbenannte Seite</title>
    </head>
<body>
    <form id="form1" runat="server">
    <div>
  
        <span style="font-size: 8pt">
        <asp:LinqDataSource ID="LinqDataSource1" runat="server" 
            ContextTypeName="dcDatenDataContext" TableName="Artikel" 
            Select="new (ArtikelNr, Artikelname, Liefereinheit, Einzelpreis)">
        </asp:LinqDataSource>
        </span>
    
    </div>
    <asp:ListView ID="ListView1" runat="server" DataKeyNames="ArtikelNr" 
        DataSourceID="LinqDataSource1" style="font-size: 8pt">
        <ItemTemplate>
            <tr style="background-color:#DCDCDC;color: #000000;">
                <td>
                    <asp:Label ID="ArtikelNrLabel" runat="server" Text='<%# Eval("ArtikelNr") %>' />
                </td>
                <td>
                    <asp:Label ID="ArtikelnameLabel" runat="server" 
                        Text='<%# Eval("Artikelname") %>' />
                </td>
                <td>
                    <asp:Label ID="LiefereinheitLabel" runat="server" 
                        Text='<%# Eval("Liefereinheit") %>' />
                </td>
                <td>
                    <asp:Label ID="EinzelpreisLabel" runat="server" 
                        Text='<%# Eval("Einzelpreis") %>' />
                </td>
            </tr>
        </ItemTemplate>
        <AlternatingItemTemplate>
            <tr style="background-color:#FFF8DC;">
                <td>
                    <asp:Label ID="ArtikelNrLabel" runat="server" Text='<%# Eval("ArtikelNr") %>' />
                </td>
                <td>
                    <asp:Label ID="ArtikelnameLabel" runat="server" 
                        Text='<%# Eval("Artikelname") %>' />
                </td>
                <td>
                    <asp:Label ID="LiefereinheitLabel" runat="server" 
                        Text='<%# Eval("Liefereinheit") %>' />
                </td>
                <td>
                    <asp:Label ID="EinzelpreisLabel" runat="server" 
                        Text='<%# Eval("Einzelpreis") %>' />
                </td>
            </tr>
        </AlternatingItemTemplate>
        <EmptyDataTemplate>
            <table runat="server" 
                style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;">
                <tr>
                    <td>
                        No data was returned.</td>
                </tr>
            </table>
        </EmptyDataTemplate>
        <InsertItemTemplate>
            <tr style="">
                <td>
                    <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                        Text="Insert" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Clear" />
                </td>
                <td>
                    <asp:TextBox ID="ArtikelNrTextBox" runat="server" 
                        Text='<%# Bind("ArtikelNr") %>' />
                </td>
                <td>
                    <asp:TextBox ID="ArtikelnameTextBox" runat="server" 
                        Text='<%# Bind("Artikelname") %>' />
                </td>
                <td>
                    <asp:TextBox ID="LiefereinheitTextBox" runat="server" 
                        Text='<%# Bind("Liefereinheit") %>' />
                </td>
                <td>
                    <asp:TextBox ID="EinzelpreisTextBox" runat="server" 
                        Text='<%# Bind("Einzelpreis") %>' />
                </td>
            </tr>
        </InsertItemTemplate>
        <LayoutTemplate>
            <table runat="server">
           
                <tr runat="server">
                    <td runat="server">
                        <table ID="itemPlaceholderContainer" runat="server" border="1" 
                            
                            style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                            <tr runat="server" style="background-color:#DCDCDC;color: #000000;">
                                <th runat="server">
                                    ArtikelNr</th>
                                <th runat="server">
                                    <asp:LinkButton ID="LinkButton1" runat="server" Text="Artikelname"
                                                    CommandName="sort" CommandArgument="Artikelname" />
                                </th>
                                <th runat="server">
                                    Liefereinheit</th>
                                <th runat="server">
                                    Einzelpreis</th>
                            </tr>
                            <tr ID="itemPlaceholder" runat="server">
                            </tr>
                        </table>
                    </td>
                </tr>
                <tr runat="server">
                    <td runat="server" 
                        style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                        <asp:DataPager ID="DataPager1" runat="server">
                            <Fields>
                                <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                                    ShowLastPageButton="True" />
                            </Fields>
                        </asp:DataPager>
                    </td>
                </tr>
            </table>
        </LayoutTemplate>
        <EditItemTemplate>
            <tr style="background-color:#008A8C;color: #FFFFFF;">
                <td>
                    <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                        Text="Update" />
                    <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                        Text="Cancel" />
                </td>
                <td>
                    <asp:TextBox ID="ArtikelNrTextBox" runat="server" 
                        Text='<%# Bind("ArtikelNr") %>' />
                </td>
                <td>
                    <asp:TextBox ID="ArtikelnameTextBox" runat="server" 
                        Text='<%# Bind("Artikelname") %>' />
                </td>
                <td>
                    <asp:TextBox ID="LiefereinheitTextBox" runat="server" 
                        Text='<%# Bind("Liefereinheit") %>' />
                </td>
                <td>
                    <asp:TextBox ID="EinzelpreisTextBox" runat="server" 
                        Text='<%# Bind("Einzelpreis") %>' />
                </td>
            </tr>
        </EditItemTemplate>
        <SelectedItemTemplate>
            <tr style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
                <td>
                    <asp:Label ID="ArtikelNrLabel" runat="server" Text='<%# Eval("ArtikelNr") %>' />
                </td>
                <td>
                    <asp:Label ID="ArtikelnameLabel" runat="server" 
                        Text='<%# Eval("Artikelname") %>' />
                </td>
                <td>
                    <asp:Label ID="LiefereinheitLabel" runat="server" 
                        Text='<%# Eval("Liefereinheit") %>' />
                </td>
                <td>
                    <asp:Label ID="EinzelpreisLabel" runat="server" 
                        Text='<%# Eval("Einzelpreis") %>' />
                </td>
            </tr>
        </SelectedItemTemplate>
    </asp:ListView>
    </form>
</body>
</html>
