Imports Microsoft.Reporting.WebForms

Partial Public Class Beispiel_ReportViewer
    Inherits System.Web.UI.Page

    Private taMitarbeiter As FirmaTableAdapters.MitarbeiterTableAdapter = New FirmaTableAdapters.MitarbeiterTableAdapter()
    Private taTelefone As FirmaTableAdapters.TelefonTableAdapter = New FirmaTableAdapters.TelefonTableAdapter()
    Private myFirma As Firma = New Firma()

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        Dim rp As ReportParameter = New ReportParameter("Ersteller", TextBox1.Text)
        Me.ReportViewer1.LocalReport.SetParameters(New ReportParameter() {rp})
    End Sub

    Protected Sub Button1_Click(ByVal sender As Object, ByVal e As EventArgs)
        taMitarbeiter.Fill(myFirma.Mitarbeiter)
        Dim report As LocalReport = New LocalReport()
        report.ReportPath = "Report.rdlc"
        Dim rp As ReportParameter = New ReportParameter("Ersteller", TextBox1.Text)
        report.SetParameters(New ReportParameter() {rp})
        report.DataSources.Add(New ReportDataSource("Firma_Mitarbeiter", myFirma.Mitarbeiter))
        ' oder        report.DataSources.Add(New ReportDataSource("Firma_Mitarbeiter", ObjectDataSource1))
        ' Leider ntig ....
        Dim result As Byte()
        Dim encoding As String = ""
        Dim mimetype As String = ""
        Dim warnings As Warning()
        Dim streamids As String()
        Dim extension As String = ""
        result = report.Render("PDF", "", mimetype, encoding, extension, streamids, warnings)
        Response.ClearContent()
        '        Response.AppendHeader("content-length", result.Length.ToString())
        '        Response.ContentType = "application/pdf"
        ' oder
        Response.AddHeader("content-disposition", "attachment; filename=mitarbeiter." + extension)
        Response.ContentType = mimetype
        Response.BinaryWrite(result)
        Response.Flush()
        Response.Close()
    End Sub

    Protected Sub Button2_Click(ByVal sender As Object, ByVal e As EventArgs)
        taMitarbeiter.Fill(myFirma.Mitarbeiter)
        Dim report As LocalReport = New LocalReport()
        report.ReportPath = "Report.rdlc"
        Dim rp As ReportParameter = New ReportParameter("Ersteller", TextBox1.Text)
        report.SetParameters(New ReportParameter() {rp})
        report.DataSources.Add(New ReportDataSource("Firma_Mitarbeiter", myFirma.Mitarbeiter))
        ' oder        report.DataSources.Add(new ReportDataSource("Firma_Mitarbeiter", ObjectDataSource1));
        ' Leider ntig ....
        Dim result As Byte()
        Dim encoding As String
        Dim mimetype As String
        Dim warnings As Warning()
        Dim streamids As String()
        Dim extension As String
        result = report.Render("Excel", "", mimetype, encoding, extension, streamids, _
         warnings)
        Response.ClearContent()
        Response.AddHeader("content-disposition", "attachment; filename=mitarbeiter." + extension)
        Response.ContentType = mimetype
        Response.BinaryWrite(result)
        Response.Flush()
        Response.Close()
    End Sub
End Class
