Imports System
Imports System.Web
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Collections.Generic
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.ComponentModel

<DataObject(True)> _
Public Class Warenkorb

	Private _ArtikelListe As List(Of Artikel)

	Private Counter As Integer = 1

	Public Sub New()
		_ArtikelListe = New List(Of Artikel)()
	End Sub 

	<DataObjectMethod(DataObjectMethodType.[Select])> _
	Public Function GetArtikelListe() As List(Of Artikel)
		Dim conn As SqlConnection = New SqlConnection(ConfigurationManager.ConnectionStrings("DatenConnectionString2").ConnectionString)
		Dim cmd As SqlCommand = New SqlCommand("SELECT * FROM warenkorb", conn)
		conn.Open()
		Dim dr As SqlDataReader = cmd.ExecuteReader()
		While dr.Read()
			_ArtikelListe.Add(New Artikel(DirectCast(dr("Bezeichnung"), String), DirectCast(dr("Preis"), Double), DirectCast(dr("Anzahl"), Integer), DirectCast(dr("id"), Integer)))
		End While
		dr.Close()
		conn.Close()
		Return _ArtikelListe
	End Function

	<DataObjectMethod(DataObjectMethodType.Update)> _
	Public Sub UpdateArtikel(ByVal updArtikel As Artikel)
		Dim conn As SqlConnection = New SqlConnection(ConfigurationManager.ConnectionStrings("DatenConnectionString2").ConnectionString)
		Dim cmd As SqlCommand = New SqlCommand("UPDATE warenkorb SET [Bezeichnung]=@bez, [Preis]=@preis, [Anzahl]=@anz WHERE [ID]=@id", conn)
		cmd.Parameters.AddWithValue("@bez", updArtikel.Bezeichnung)
		cmd.Parameters.AddWithValue("@preis", updArtikel.Preis)
		cmd.Parameters.AddWithValue("@anz", updArtikel.Anzahl)
		cmd.Parameters.AddWithValue("@id", updArtikel.Id)
		conn.Open()
		cmd.ExecuteNonQuery()
		conn.Close()
	End Sub

	<DataObjectMethod(DataObjectMethodType.Delete)> _
	Public Sub DeleteArtikel(ByVal delArtikel As Artikel)
		Dim conn As SqlConnection = New SqlConnection(ConfigurationManager.ConnectionStrings("DatenConnectionString2").ConnectionString)
		Dim cmd As SqlCommand = New SqlCommand("DELETE FROM warenkorb WHERE [ID]=@id", conn)
		cmd.Parameters.AddWithValue("@id", delArtikel.Id)
		conn.Open()
		cmd.ExecuteNonQuery()
		conn.Close()
	End Sub

	<DataObjectMethod(DataObjectMethodType.Insert)> _
	Public Sub InsertArtikel(ByVal insArtikel As Artikel)
	End Sub
End Class
