﻿<%@ Page Language="VB" AutoEventWireup="true"  CodeFile="Default.aspx.vb" Inherits="_Default" %>

<%@ Register Assembly="Microsoft.ReportViewer.WebForms, Version=8.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a"
    Namespace="Microsoft.Reporting.WebForms" TagPrefix="rsweb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body style="background-color: #ffffff">
    <form id="form1" runat="server">
    <div>
        <strong><span style="font-size: 16pt">
        Datenbindung</span></strong><br />
        <br />
        <table width="100%">
            <tr>
                <td style="vertical-align: top; width: 131px">
        <asp:GridView ID="GridView1" runat="server" AllowPaging="True" AutoGenerateColumns="False"
            CellPadding="4" DataKeyNames="ArtikelNr,Artikelname" DataSourceID="AccessDataSource1" ForeColor="#333333"
            GridLines="None" Height="23px" OnSelectedIndexChanging="GridView1_SelectedIndexChanging"
            Width="349px" OnSelectedIndexChanged="GridView1_SelectedIndexChanged" PageSize="4" OnDataBinding="GridView1_DataBinding">
            <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
            <Columns>
                <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" InsertVisible="False"
                    ReadOnly="True" SortExpression="ArtikelNr" />
                <asp:CommandField ButtonType="Button" ShowSelectButton="True" />
                <asp:HyperLinkField DataNavigateUrlFields="ArtikelNr" DataNavigateUrlFormatString="~/Detaildaten.aspx?Id={0}"
                    Text="Details" />
                <asp:TemplateField HeaderText="Details">
                    <HeaderStyle Width="160px" />
                    <ItemTemplate>
                        <table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
                            <tr>
                                <td>
                                    <strong><span style="color: #cc0033">Sonderpreis:</span></strong></td>
                                <td>
                                    <asp:Label ID="Label4" runat="server" Text='<%# Eval("Einzelpreis", "{0:C}") %>'></asp:Label></td>
                            </tr>
                            <tr>
                                <td style="height: 19px; background-color: #ccffff">
                                    Bestand:</td>
                                <td style="height: 19px; background-color: #99ffff">
                                    <asp:Label ID="Label5" runat="server" Text='<%# Eval("Lagerbestand") %>'></asp:Label></td>
                            </tr>
                            <tr>
                                <td style="vertical-align: top; height: 18px">
                                    Einheit:</td>
                                <td style="height: 18px">
                                    <asp:Label ID="Label6" runat="server" Text='<%# Eval("Liefereinheit") %>'></asp:Label></td>
                            </tr>
                        </table>
                    </ItemTemplate>
                    <EditItemTemplate>
                        <table border="0" cellpadding="0" cellspacing="0" style="width: 100%; height: 100%">
                            <tr>
                                <td style="height: 5px">
                                    <strong><span style="color: #cc0033">Sonderpreis:</span></strong></td>
                                <td style="height: 5px">
                                    <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Einzelpreis", "{0:C}") %>'></asp:TextBox></td>
                            </tr>
                        </table>
                    </EditItemTemplate>
                    <ControlStyle Width="100px" />
                </asp:TemplateField>
            </Columns>
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
            <SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" />
            <PagerSettings Mode="NumericFirstLast" />
            <EmptyDataTemplate>
                <asp:LinkButton ID="LinkButton1" runat="server">LinkButton</asp:LinkButton>
            </EmptyDataTemplate>
        </asp:GridView>
        <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/App_Data/Daten.mdb"
            SelectCommand="SELECT [Artikelname], [ArtikelNr], [LieferantenNr], [Liefereinheit], [Einzelpreis], [Lagerbestand] FROM [Artikel]" DeleteCommand="DELETE FROM [Artikel] WHERE [ArtikelNr] = ?" InsertCommand="INSERT INTO [Artikel] ([Artikelname], [ArtikelNr], [LieferantenNr], [Liefereinheit], [Einzelpreis], [Lagerbestand]) VALUES (?, ?, ?, ?, ?, ?)" UpdateCommand="UPDATE [Artikel] SET [Artikelname] = ?, [LieferantenNr] = ?, [Liefereinheit] = ?, [Einzelpreis] = ?, [Lagerbestand] = ? WHERE [ArtikelNr] = ?">
            <DeleteParameters>
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </DeleteParameters>
            <UpdateParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
            </UpdateParameters>
            <InsertParameters>
                <asp:Parameter Name="Artikelname" Type="String" />
                <asp:Parameter Name="ArtikelNr" Type="Int32" />
                <asp:Parameter Name="LieferantenNr" Type="Int32" />
                <asp:Parameter Name="Liefereinheit" Type="String" />
                <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                <asp:Parameter Name="Lagerbestand" Type="Int16" />
            </InsertParameters>
        </asp:AccessDataSource>
                    <asp:AccessDataSource ID="AccessDataSource2" runat="server" DataFile="~/App_Data/Daten.mdb"
                        DeleteCommand="DELETE FROM [Artikel] WHERE [ArtikelNr] = ?" InsertCommand="INSERT INTO [Artikel] ([ArtikelNr], [Artikelname], [LieferantenNr], [KategorieNr], [Liefereinheit], [Einzelpreis], [Lagerbestand], [BestellteEinheiten], [Mindestbestand], [Auslaufartikel]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
                        OnSelecting="AccessDataSource2_Selecting" SelectCommand="SELECT * FROM [Artikel] WHERE ([ArtikelNr] = ?)"
                        UpdateCommand="UPDATE [Artikel] SET [Artikelname] = ?, [Einzelpreis] = ?, [Lagerbestand] = ? WHERE [ArtikelNr] = ?">
                        <DeleteParameters>
                            <asp:Parameter Name="ArtikelNr" Type="Int32" />
                        </DeleteParameters>
                        <UpdateParameters>
                            <asp:Parameter Name="Artikelname" Type="String" />
                            <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                            <asp:Parameter Name="Lagerbestand" Type="Int16" />
                            <asp:Parameter Name="ArtikelNr" Type="Int32" />
                        </UpdateParameters>
                        <SelectParameters>
                            <asp:ControlParameter ControlID="GridView1" Name="ArtikelNr" PropertyName="SelectedValue"
                                Type="Int32" />
                        </SelectParameters>
                        <InsertParameters>
                            <asp:Parameter Name="ArtikelNr" Type="Int32" />
                            <asp:Parameter Name="Artikelname" Type="String" />
                            <asp:Parameter Name="LieferantenNr" Type="Int32" />
                            <asp:Parameter Name="KategorieNr" Type="Int32" />
                            <asp:Parameter Name="Liefereinheit" Type="String" />
                            <asp:Parameter Name="Einzelpreis" Type="Decimal" />
                            <asp:Parameter Name="Lagerbestand" Type="Int16" />
                            <asp:Parameter Name="BestellteEinheiten" Type="Int16" />
                            <asp:Parameter Name="Mindestbestand" Type="Int16" />
                            <asp:Parameter Name="Auslaufartikel" Type="Boolean" />
                        </InsertParameters>
                    </asp:AccessDataSource>
                    <br />
                    &nbsp;<asp:Button ID="Button2" runat="server" OnClick="Button2_Click" Text="Zeilenauswahl" /></td>
                <td style="vertical-align: top; width: 90%">
                    SelectedValue:
                    <asp:Label ID="Label1" runat="server" Text="Label"></asp:Label><br />
                    SelectedDataKey:
                    <asp:Label ID="Label2" runat="server" Text="Label"></asp:Label><br />
                    SelectedDataKey[1]:
                    <asp:Label ID="Label3" runat="server" Text="Label"></asp:Label></td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px">
                </td>
                <td style="vertical-align: top; width: 100px; background-color: #ccff99; text-align: center;">
                    <strong><span style="font-size: 14pt; font-family: Arial;">DetailsView</span></strong></td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px">
                    &nbsp;<asp:DetailsView ID="DetailsView2" runat="server" AutoGenerateRows="False"
                        CellPadding="4" DataKeyNames="ArtikelNr" DataSourceID="AccessDataSource1" ForeColor="#333333"
                        GridLines="None" Height="50px" Width="303px">
                        <PagerSettings Mode="NextPreviousFirstLast" />
                        <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <CommandRowStyle BackColor="#FFFFC0" Font-Bold="True" />
                        <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
                        <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
                        <Fields>
                            <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname">
                                <ControlStyle Width="60%" />
                            </asp:BoundField>
                            <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" InsertVisible="False"
                                ReadOnly="True" SortExpression="ArtikelNr" />
                            <asp:BoundField DataField="LieferantenNr" HeaderText="LieferantenNr" SortExpression="LieferantenNr" />
                            <asp:BoundField DataField="Liefereinheit" HeaderText="Liefereinheit" SortExpression="Liefereinheit" />
                            <asp:BoundField DataField="Einzelpreis" HeaderText="Einzelpreis" SortExpression="Einzelpreis" />
                            <asp:BoundField DataField="Lagerbestand" HeaderText="Lagerbestand" SortExpression="Lagerbestand" />
                        </Fields>
                        <FieldHeaderStyle BackColor="#FFFF99" Font-Bold="True" />
                        <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
                        <AlternatingRowStyle BackColor="White" />
                    </asp:DetailsView>
                    <br />
                    <asp:Button ID="Button4" runat="server" OnClick="Button4_Click3" Text="First" />
                    <asp:Button ID="Button8" runat="server" OnClick="Button8_Click" Text="Prior" />
                    <asp:Button ID="Button3" runat="server" OnClick="Button3_Click1" Text="Next" />
                    <asp:Button ID="Button9" runat="server" OnClick="Button9_Click" Text="Last" /><br />
                    <br />
                    &nbsp;<asp:DropDownList ID="DropDownList1" runat="server">
                    </asp:DropDownList></td>
                <td style="vertical-align: top; width: 100px">
                    <strong><span style="font-size: 16pt; background-color: #ff0033"></span></strong>
                    <br />
        <asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" CellPadding="4"
            DataKeyNames="ArtikelNr" DataSourceID="AccessDataSource2" ForeColor="#333333"
            GridLines="None" Height="50px" Width="271px" AllowPaging="True" OnPageIndexChanged="DetailsView1_PageIndexChanged">
            <FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
            <CommandRowStyle BackColor="#FFFFC0" Font-Bold="True" />
            <RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
            <FieldHeaderStyle BackColor="#FFFF99" Font-Bold="True" />
            <PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" Width="70px" />
            <Fields>
                <asp:BoundField DataField="ArtikelNr" HeaderText="ArtikelNr" InsertVisible="False"
                    ReadOnly="True" SortExpression="ArtikelNr" />
                <asp:BoundField DataField="Artikelname" HeaderText="Artikelname" SortExpression="Artikelname" />
                <asp:BoundField DataField="LieferantenNr" HeaderText="LieferantenNr" SortExpression="LieferantenNr" />
                <asp:BoundField DataField="KategorieNr" HeaderText="KategorieNr" SortExpression="KategorieNr" />
                <asp:BoundField DataField="Liefereinheit" HeaderText="Liefereinheit" SortExpression="Liefereinheit" />
                <asp:BoundField DataField="Einzelpreis" HeaderText="Einzelpreis" SortExpression="Einzelpreis" />
                <asp:BoundField DataField="Lagerbestand" HeaderText="Lagerbestand" SortExpression="Lagerbestand" />
                <asp:BoundField DataField="BestellteEinheiten" HeaderText="BestellteEinheiten" SortExpression="BestellteEinheiten" />
                <asp:BoundField DataField="Mindestbestand" HeaderText="Mindestbestand" SortExpression="Mindestbestand" />
                <asp:CheckBoxField DataField="Auslaufartikel" HeaderText="Auslaufartikel" SortExpression="Auslaufartikel" />
            </Fields>
            <HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" Width="50px" />
            <AlternatingRowStyle BackColor="White" />
        </asp:DetailsView>
                    &nbsp;<br />
                    &nbsp;<asp:Button ID="Button1" runat="server" OnClick="Button1_Click1" Text="Button" /></td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px">
                </td>
                <td style="vertical-align: top; width: 100px; background-color: #ccff99; text-align: center;">
                    <strong><span style="font-size: 14pt; font-family: Arial;">FormView</span></strong></td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px">
                </td>
                <td style="vertical-align: top; width: 100px">
                    <strong><span style="font-size: 16pt; background-color: #ff0033"></span></strong>
                    <br />
                    <asp:FormView ID="FormView1" runat="server" DataKeyNames="ArtikelNr" DataSourceID="AccessDataSource2"
                        DefaultMode="Edit" OnPageIndexChanging="FormView1_PageIndexChanging" AllowPaging="True">
                        <EditItemTemplate>
                            ArtikelNr:
                            <asp:Label ID="ArtikelNrLabel1" runat="server" Text='<%# Eval("ArtikelNr") %>'></asp:Label><br />
                            Artikelname:
                            <asp:TextBox ID="ArtikelnameTextBox" runat="server" Text='<%# Bind("Artikelname") %>'>
                            </asp:TextBox><br />
                            LieferantenNr:
                            <asp:TextBox ID="LieferantenNrTextBox" runat="server" Text='<%# Bind("LieferantenNr") %>'>
                            </asp:TextBox><br />
                            KategorieNr:
                            <asp:TextBox ID="KategorieNrTextBox" runat="server" Text='<%# Bind("KategorieNr") %>'>
                            </asp:TextBox><br />
                            Liefereinheit:
                            <asp:TextBox ID="LiefereinheitTextBox" runat="server" Text='<%# Bind("Liefereinheit") %>'>
                            </asp:TextBox><br />
                            Einzelpreis:
                            <asp:TextBox ID="EinzelpreisTextBox" runat="server" Text='<%# Bind("Einzelpreis") %>'>
                            </asp:TextBox><br />
                            Lagerbestand:
                            <asp:TextBox ID="LagerbestandTextBox" runat="server" Text='<%# Bind("Lagerbestand") %>'>
                            </asp:TextBox><br />
                            BestellteEinheiten:
                            <asp:TextBox ID="BestellteEinheitenTextBox" runat="server" Text='<%# Bind("BestellteEinheiten") %>'>
                            </asp:TextBox><br />
                            Mindestbestand:
                            <asp:TextBox ID="MindestbestandTextBox" runat="server" Text='<%# Bind("Mindestbestand") %>'>
                            </asp:TextBox><br />
                            Auslaufartikel:
                            <asp:CheckBox ID="AuslaufartikelCheckBox" runat="server" Checked='<%# Bind("Auslaufartikel") %>' /><br />
                            <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" CommandName="Update"
                                Text="Aktualisieren">
                            </asp:LinkButton>
                            <asp:LinkButton ID="UpdateCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                Text="Abbrechen">
                            </asp:LinkButton>
                        </EditItemTemplate>
                        <EmptyDataTemplate>
                            Keine Auswahl im GridView
                        </EmptyDataTemplate>
                        <InsertItemTemplate>
                            Artikelname:
                            <asp:TextBox ID="ArtikelnameTextBox" runat="server" Text='<%# Bind("Artikelname") %>'>
                            </asp:TextBox><br />
                            LieferantenNr:
                            <asp:TextBox ID="LieferantenNrTextBox" runat="server" Text='<%# Bind("LieferantenNr") %>'>
                            </asp:TextBox><br />
                            KategorieNr:
                            <asp:TextBox ID="KategorieNrTextBox" runat="server" Text='<%# Bind("KategorieNr") %>'>
                            </asp:TextBox><br />
                            Liefereinheit:
                            <asp:TextBox ID="LiefereinheitTextBox" runat="server" Text='<%# Bind("Liefereinheit") %>'>
                            </asp:TextBox><br />
                            Einzelpreis:
                            <asp:TextBox ID="EinzelpreisTextBox" runat="server" Text='<%# Bind("Einzelpreis") %>'>
                            </asp:TextBox><br />
                            Lagerbestand:
                            <asp:TextBox ID="LagerbestandTextBox" runat="server" Text='<%# Bind("Lagerbestand") %>'>
                            </asp:TextBox><br />
                            BestellteEinheiten:
                            <asp:TextBox ID="BestellteEinheitenTextBox" runat="server" Text='<%# Bind("BestellteEinheiten") %>'>
                            </asp:TextBox><br />
                            Mindestbestand:
                            <asp:TextBox ID="MindestbestandTextBox" runat="server" Text='<%# Bind("Mindestbestand") %>'>
                            </asp:TextBox><br />
                            Auslaufartikel:
                            <asp:CheckBox ID="AuslaufartikelCheckBox" runat="server" Checked='<%# Bind("Auslaufartikel") %>' /><br />
                            <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" CommandName="Insert"
                                Text="Einfügen">
                            </asp:LinkButton>
                            <asp:LinkButton ID="InsertCancelButton" runat="server" CausesValidation="False" CommandName="Cancel"
                                Text="Abbrechen">
                            </asp:LinkButton>
                        </InsertItemTemplate>
                        <ItemTemplate>
                            ArtikelNr:
                            <asp:Label ID="ArtikelNrLabel" runat="server" Text='<%# Eval("ArtikelNr") %>'></asp:Label><br />
                            Artikelname:
                            <asp:Label ID="ArtikelnameLabel" runat="server" Text='<%# Bind("Artikelname") %>'>
                            </asp:Label><br />
                            LieferantenNr:
                            <asp:Label ID="LieferantenNrLabel" runat="server" Text='<%# Bind("LieferantenNr") %>'>
                            </asp:Label><br />
                            KategorieNr:
                            <asp:Label ID="KategorieNrLabel" runat="server" Text='<%# Bind("KategorieNr") %>'>
                            </asp:Label><br />
                            Liefereinheit:
                            <asp:Label ID="LiefereinheitLabel" runat="server" Text='<%# Bind("Liefereinheit") %>'>
                            </asp:Label><br />
                            Einzelpreis:
                            <asp:Label ID="EinzelpreisLabel" runat="server" Text='<%# Bind("Einzelpreis") %>'>
                            </asp:Label><br />
                            Lagerbestand:
                            <asp:Label ID="LagerbestandLabel" runat="server" Text='<%# Bind("Lagerbestand") %>'>
                            </asp:Label><br />
                            BestellteEinheiten:
                            <asp:Label ID="BestellteEinheitenLabel" runat="server" Text='<%# Bind("BestellteEinheiten") %>'>
                            </asp:Label><br />
                            Mindestbestand:
                            <asp:Label ID="MindestbestandLabel" runat="server" Text='<%# Bind("Mindestbestand") %>'>
                            </asp:Label><br />
                            Auslaufartikel:
                            <asp:CheckBox ID="AuslaufartikelCheckBox" runat="server" Checked='<%# Bind("Auslaufartikel") %>'
                                Enabled="false" /><br />
                            <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" CommandName="Edit"
                                Text="Bearbeiten">
                            </asp:LinkButton>
                            <asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" CommandName="Delete"
                                Text="Löschen">
                            </asp:LinkButton>
                            <asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" CommandName="New"
                                Text="Neu">
                            </asp:LinkButton>
                        </ItemTemplate>
                    </asp:FormView>
                    <br />
                    <br />
                </td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px">
                </td>
                <td style="vertical-align: top; width: 100px; background-color: #ccff99; text-align: center;">
                    <strong><span style="font-size: 14pt; font-family: Arial;">DataList</span></strong></td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px; height: 134px;">
                    </td>
                <td style="vertical-align: top; width: 100px; height: 134px;">
                    <br />
                    &nbsp;<asp:DataList ID="DataList1" runat="server" DataSourceID="AccessDataSource1" DataKeyField="ArtikelNr" Height="59px" Width="385px" RepeatColumns="2" RepeatDirection="Horizontal" CellPadding="4" ForeColor="#333333" OnDeleteCommand="DataList1_DeleteCommand" OnEditCommand="DataList1_EditCommand" OnSelectedIndexChanged="DataList1_SelectedIndexChanged" OnUpdateCommand="DataList1_UpdateCommand">
            <ItemTemplate>
                Artikelname:
                <asp:Label ID="ArtikelnameLabel" runat="server" Text='<%# Eval("Artikelname") %>'></asp:Label><br />
                ArtikelNr:
                <asp:Label ID="ArtikelNrLabel" runat="server" Text='<%# Eval("ArtikelNr") %>'></asp:Label>
            </ItemTemplate>
                        <EditItemTemplate>
                            <asp:Button ID="Button6" runat="server" CommandName="Cancel" OnClick="Button6_Click"
                                Text="Cancel" />
                            <asp:Button ID="Button5" runat="server" CommandName="Update" OnClick="Button5_Click"
                                Text="Update" />
                            <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Artikelname") %>'></asp:TextBox>
                        </EditItemTemplate>
                        <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                        <SelectedItemStyle BackColor="#C5BBAF" Font-Bold="True" ForeColor="#333333" />
                        <AlternatingItemStyle BackColor="White" />
                        <ItemStyle BackColor="#E3EAEB" />
                        <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
                        <SelectedItemTemplate>
                            <asp:Button ID="Button7" runat="server" Text="Buttosdafsadfsadfn" />
                        </SelectedItemTemplate>
        </asp:DataList><br />
                    </td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px">
                </td>
                <td style="vertical-align: top; width: 100px; background-color: #ccff99; text-align: left;">
                    <strong><span style="font-size: 14pt; font-family: Arial;">&nbsp;Repeater</span></strong></td>
            </tr>
            <tr>
                <td style="vertical-align: top; width: 131px; height: 239px">
                </td>
                <td style="vertical-align: top; width: 100px; height: 239px">
                    <br />
                    &nbsp;<asp:Panel ID="Panel1" runat="server" Height="50px" Width="100%">
                    </asp:Panel>
                </td>
            </tr>
        </table>
        <br />
                    <asp:Repeater ID="Repeater1" runat="server" DataSourceID="AccessDataSource1" OnItemCommand="Repeater1_ItemCommand">
                    <ItemTemplate>
                      <b>Artikel:</b>&nbsp;<%#Eval("Artikelname")%><br/> 
                    </ItemTemplate>
                    </asp:Repeater>
        <br />
        <br />
        &nbsp;&nbsp;<br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
        <br />
    </div>
    </form>
</body>
</html>
