Imports System.Data.OleDb

Public Class Form1
    Private ds As DataSet

    Protected Overrides Sub OnLoad(ByVal e As System.EventArgs)
        Dim conn As New OleDbConnection()
        conn.ConnectionString = _
          "Provider=SQLOLEDB.1; Data Source=.\SQLEXPRESS; Database=Northwind; Integrated Security=SSPI"
        ' Die Batch-Abfrage kapselt zwei SELECT-Anweisungen in einem String:
        Dim sqlBatch As String = "SELECT CustomerID, CompanyName, ContactName, ContactTitle FROM Customers " & _
                         "WHERE CustomerID = 'ALFKI'; " & _
                         "SELECT OrderID, OrderDate, RequiredDate, ShippedDate, Freight FROM Orders " & _
                         "WHERE CustomerID = 'ALFKI'"
        Dim cmd As New OleDbCommand(sqlBatch, conn)
        cmd.UpdatedRowSource = UpdateRowSource.None
        Dim da As New OleDbDataAdapter(cmd)

        da.TableMappings.Add("Table", "Customers")
        da.TableMappings.Add("Table1", "Orders")

        ds = New DataSet()
        Try
            da.Fill(ds)

        Catch ex As Exception
            MessageBox.Show(ex.Message)
        End Try
        DataGridView1.DataSource = ds
        MyBase.OnLoad(e)
    End Sub

    ' Abfrage 1 (Customers anzeigen):
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        DataGridView1.DataMember = "Customers"
    End Sub

    ' Abfrage 2 (Orders anzeigen)
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        DataGridView1.DataMember = "Orders"
    End Sub
End Class
