Imports System.Data.SqlClient

Public Class Form1
    Private Const CONNSTR As String = "Data Source=.\SQLEXPRESS;AttachDbFilename=|DataDirectory|" & _
                                      "\\Northwind.mdf;Integrated Security=True;User Instance=True"
    Private Const OID As String = "10250"
    ' alle Bestelldetails fr die festgelegte OrderID:
    Private Const SQL1 As String = "SElECT * FROM [Order Details] WHERE OrderID = " + OID
    ' Aktualisieren der Product-Tabelle, wobei als Parameter die Anzahl (Quantity) und die ProductID bergeben werden:
    Private Const SQL2 As String = "UPDATE Products SET UnitsOnOrder=UnitsOnOrder + @anz " & _
                                   "WHERE (ProductID=@pid)"

    ' Ohne MARS:
    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim aIDs As New ArrayList()
        Dim aQts As New ArrayList()
        Dim conn1 As New SqlConnection(CONNSTR)
        conn1.Open()
        Dim cmd1 As New SqlCommand(SQL1, conn1)
        ' erster DataReader:
        Using reader As SqlDataReader = cmd1.ExecuteReader()
            While reader.Read()
                aIDs.Add(reader("ProductID"))
                aQts.Add(reader("Quantity"))
            End While
        End Using
        conn1.Close()

        ' zweiter Durchlauf:
        Dim conn2 As New SqlConnection(CONNSTR)
        conn2.Open()
        Dim cmd2 As New SqlCommand(SQL2, conn2)
        cmd2.Parameters.Add("@anz", SqlDbType.SmallInt)
        cmd2.Parameters.Add("@pid", SqlDbType.Int)
        For i As Integer = 0 To aIDs.Count - 1
            cmd2.Parameters("@anz").Value = aQts(i)
            cmd2.Parameters("@pid").Value = aIDs(i)
            cmd2.ExecuteNonQuery()
        Next i
        conn2.Close()
        showResults()
        conn1.Close()
    End Sub

    ' Mit MARS:
    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim conn As New SqlConnection(CONNSTR + ";MultipleActiveResultSets=True")
        conn.Open()
        Dim cmd1 As New SqlCommand(SQL1, conn)
        Dim cmd2 As New SqlCommand(SQL2, conn)

        cmd2.Parameters.Add("@anz", SqlDbType.SmallInt)
        cmd2.Parameters.Add("@pid", SqlDbType.Int)
        ' Ein einziger DataReader gengt, um die Order Details-Tabelle auszulesen und gleichzeitig die Products-Tabelle zu aktualisieren, ein Datencache wird nicht bentigt:
        Using reader As SqlDataReader = cmd1.ExecuteReader()
            While reader.Read()
                cmd2.Parameters("@anz").Value = reader("Quantity")
                cmd2.Parameters("@pid").Value = reader("ProductID")
                cmd2.ExecuteNonQuery()
            End While
        End Using
        conn.Close()
        showResults()
    End Sub

    ' Hilfsroutine zur Anzeige:
    Private Sub showResults()

        Const SQL As String = "SELECT ProductName, Quantity, UnitsOnOrder " & _
                              "FROM Products, [Order Details] " & _
                               "WHERE ([Order Details].OrderID = " & OID & ") " & _
                               "AND (Products.ProductID = [Order Details].ProductID)"
        Dim da As New SqlDataAdapter(SQL, New SqlConnection(CONNSTR))
        Dim dt As New DataTable()
        da.Fill(dt)
        DataGridView1.DataSource = dt
    End Sub
End Class
