﻿Imports System.Data
Imports System.Linq

Partial Public Class Anmeldung
    Inherits MyUserControl
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        Me.Kopfzeile = "Anmeldung"
        If Request.Cookies("Username") IsNot Nothing Then
            txtUsername.Text = Request.Cookies("Username").Value
        End If
    End Sub

    Protected Sub Button6_Click(ByVal sender As Object, ByVal e As EventArgs)
        Dim db As New dbShopDataContext()
        Dim user = db.CurrentUser(txtUsername.Text, txtPasswort.Text).FirstOrDefault()
        ' email und passwort
        If user IsNot Nothing Then
            Session("User") = user.Id
            Session("Admin") = user.IsAdmin
            lblMeldung.Visible = False
            Dim cookie As New HttpCookie("UserName", txtUsername.Text)
            cookie.Expires = DateTime.Now.AddDays(30)           ' 30 Tage gültig
            Response.Cookies.Add(cookie)
        Else
            lblMeldung.Visible = True
        End If

        If CInt(Session("User")) <> 0 Then ' erfolgreiche Anmeldung
            Me.GotoPage("Bestellung")
        End If
    End Sub

    Protected Sub Button7_Click(ByVal sender As Object, ByVal e As EventArgs)
        Me.GotoPage("NeuerKunde")
    End Sub
End Class

