﻿Imports System.Data
Imports System.Linq

Partial Public Class Bestellung
    Inherits MyUserControl
    Private db As New dbShopDataContext()

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        Me.Kopfzeile = "Bestellung"
    End Sub

    Protected Sub Wizard1_ActiveStepChanged(ByVal sender As Object, ByVal e As EventArgs)
        If (Wizard1.ActiveStepIndex = 3) And (Not cbAGB.Checked) Then
            Wizard1.ActiveStepIndex = 2
        End If
    End Sub
    Protected Sub Wizard1_FinishButtonClick(ByVal sender As Object, ByVal e As WizardNavigationEventArgs)
        ' Neue Bestellung erzeugen
        Dim BestellID As Integer = db.BestellungNeu(CInt(Session("User")), ddlZahlungsweise.SelectedIndex, txtName.Text, txtVorname.Text, txtStrasse.Text + " " + txtStrasseNr.Text, txtPLZ.Text + " " + txtOrt.Text)

        'Warenkorb übermitteln
        dtWarenkorb = DirectCast(Session("Warenkorb"), DataTable)
        For Each row As DataRow In dtWarenkorb.Rows
            db.BestellsDetailsNeu(BestellID, CType(row("Id"), Int16), CType(row("Anzahl"), Int16))
        Next
        ' Hinweis: Im SQL Server 2008 dürfte die Übergabe der DataTable der eleganteste Weg sein 

        Me.GotoPage("Danke")
        ' Versandmail schicken
    End Sub

    Protected Sub Wizard1_Load(ByVal sender As Object, ByVal e As EventArgs)
        If Not Wizard1.Enabled Then
            ' Beim ersten Aufruf weren die Daten aus der DB abgerufen
            Dim nutzer = db.Nutzer.Where(Function(n) n.Id = CInt(Session("User"))).FirstOrDefault()
            txtName.Text = Nutzer.Name
            txtVorname.Text = Nutzer.Vorname
            txtStrasse.Text = Nutzer.Strasse
            txtStrasseNr.Text = Nutzer.StrasseNr
            txtPLZ.Text = Nutzer.PLZ
            txtOrt.Text = Nutzer.Ort
            Wizard1.ActiveStepIndex = 0
            ' Adresse
            Wizard1.Enabled = True
        End If
    End Sub
End Class
