﻿Imports System.Data
Imports System.Linq

Partial Public Class Warenkorb
    Inherits MyUserControl

    Protected Sub BerechneSumme()
        Dim sum As Decimal = 0
        Dim cnt As Int16 = 0
        If dtWarenkorb.Rows.Count > 0 Then
            For Each row As DataRow In dtWarenkorb.Rows
                sum += CDec(row("GPreis"))
                cnt += CType(row("Anzahl"), Int16)
            Next
            GridView2.FooterRow.Cells(5).Text = sum.ToString("c")
            GridView2.FooterRow.Cells(4).Text = "Summe"
            Button4.Visible = True
            Button5.Visible = True
            Label2.Visible = False
        Else
            Button4.Visible = False
            Button5.Visible = False
            Label2.Visible = True
        End If
        _FormTree.Nodes(2).Text = "Warenkorb [" & cnt.ToString() & "]"
    End Sub


    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs)
        Me.Kopfzeile = "Warenkorb"
        dtWarenkorb = DirectCast(Session("Warenkorb"), DataTable)
        If dtWarenkorb.Rows.Count <> 0 Then
            GridView2.DataSource = dtWarenkorb
        End If
        DataBind()
        BerechneSumme()
    End Sub

    Protected Sub GridView2_RowCommand(ByVal sender As Object, ByVal e As GridViewCommandEventArgs)
        Dim anzahl As Int16
        Dim zeile As Int16
        dtWarenkorb = DirectCast(Session("Warenkorb"), DataTable)
        zeile = Convert.ToInt16(e.CommandArgument)
        anzahl = CType(dtWarenkorb.Rows(zeile)("Anzahl"), Int16)
        If e.CommandName = "+" Then
            If anzahl < 10 Then
                anzahl += 1
            End If
            dtWarenkorb.Rows(zeile)("Anzahl") = anzahl
            dtWarenkorb.Rows(zeile)("GPreis") = anzahl * CDec(dtWarenkorb.Rows(zeile)("EPreis"))
        End If
        If e.CommandName = "-" Then
            If anzahl > 0 Then
                anzahl -= 1
            End If
            dtWarenkorb.Rows(zeile)("Anzahl") = anzahl
            dtWarenkorb.Rows(zeile)("GPreis") = anzahl * CDec(dtWarenkorb.Rows(zeile)("EPreis"))
            If anzahl = 0 Then
                dtWarenkorb.Rows(zeile).Delete()
            End If
            Label2.Visible = (dtWarenkorb.Rows.Count = 0)
        End If
        GridView2.DataSource = dtWarenkorb
        DataBind()
        Session("Warenkorb") = dtWarenkorb
        BerechneSumme()
    End Sub

    Protected Sub GridView2_SelectedIndexChanged(ByVal sender As Object, ByVal e As EventArgs)

    End Sub
    Protected Sub Button4_Click(ByVal sender As Object, ByVal e As EventArgs)
        If CInt(Session("User")) = 0 Then
            Me.GotoPage("Anmeldung")
        Else
            ' Bereits angemeldet
            Me.GotoPage("Bestellung")
        End If
    End Sub

    Protected Sub Button5_Click(ByVal sender As Object, ByVal e As EventArgs)
        dtWarenkorb = DirectCast(Session("Warenkorb"), DataTable)
        dtWarenkorb.Rows.Clear()
        GridView2.DataSource = dtWarenkorb
        DataBind()
        _FormTree.Nodes(2).Text = "Warenkorb"
        Session("Warenkorb") = dtWarenkorb
        BerechneSumme()
    End Sub
End Class
